commit eae876c44e793a1000bc89f900db11e400197055
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 24 00:45:33 2013 +0100

    Release Clutter 1.16.0

 NEWS         | 18 ++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit fb8eacfb0256a211ca79366945c8f4eb4962be4e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 3 11:51:19 2013 +0100

    device: Guard against divisions by zero
    
    The range of a device could be 0, so we need to bail out from the
    scaling during the axis translation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707033

 clutter/clutter-input-device.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e90022f3c790c7d9b181e9c1874e4a0a82c0df43
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Mon Sep 23 19:36:54 2013 +0200

    Updated Danish translation

 po/da.po | 1224 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 618 insertions(+), 606 deletions(-)

commit 6a3eed78736c8d4c593a67231d501b08a50b13b2
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Sep 23 00:07:44 2013 +0100

    Updated Portuguese translation

 po/pt.po | 1226 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 619 insertions(+), 607 deletions(-)

commit c3711d302fddf32405cefc0b72de631bd973f178
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Sep 20 11:15:09 2013 +0100

    Post-release version bump to 1.15.97

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aad96558ae84084a537078ef1741d22218f190e4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Sep 20 11:06:03 2013 +0100

    Release Clutter 1.15.96 (snapshot)

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 300c76df17a8508e564821ff3a27cb81ae7e5b23
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Sep 20 10:54:46 2013 +0100

    x11: Ensure we have a stage before accessing its fields
    
    For some XI2 we do not have a Stage associated to the event window.
    
    Original patch by: Giovanni Campagna <scampa.giovanni@gmail.com>
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708439

 clutter/x11/clutter-device-manager-xi2.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c03f7727f723c830d4ba21a520cd07cf9f98de52
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Sep 19 23:10:50 2013 +0100

    Post-release version bump to 1.15.95

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbf8d9c66a8b1f3d2e86127f4e2a9af0e1a98a5a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Sep 19 22:51:10 2013 +0100

    Release Clutter 1.15.94 (snapshot)

 NEWS         | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 47 insertions(+), 1 deletion(-)

commit 0f217f0722eb60659b8e335e0bedb50dc08d6134
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Sep 19 22:56:56 2013 +0100

    Documentation fixes

 clutter/clutter-backend.c                  | 2 +-
 doc/reference/clutter/clutter-sections.txt | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit a1d29abc383ec3fa084a64406449d5caf0bdbd96
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 11 09:50:16 2013 +0100

    evdev: Clean up debug and error messages
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707901

 clutter/evdev/clutter-device-manager-evdev.c | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

commit 9eb479aeefba7310b105c57aa3e970940713d6d9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 11 09:48:51 2013 +0100

    evdev: Cache the regexp
    
    Instead of recreating it for every new device, we can cache the GRegex
    and reuse it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707901

 clutter/evdev/clutter-device-manager-evdev.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit a26690a73dfeb35610c33c30650f06eee1d4f82d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 14 11:27:48 2013 +0100

    cogl: Compensate for window scaling
    
    The common stage window code that we share on Cogl-based backends should
    also use the scaling factor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/cogl/clutter-stage-cogl.c | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------
 1 file changed, 55 insertions(+), 50 deletions(-)

commit 75f81fee708f4811667191065740815b507d938e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 14 11:25:01 2013 +0100

    x11: Apply the window scaling factor
    
    On high DPI density displays we create surfaces with a size scaled up by
    a certain factor. Even if the contents stay at the same relative size
    and position, we need to compensate the scaling both when changing the
    surface size, and when dealing with input.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/x11/clutter-backend-x11.c             |  2 +-
 clutter/x11/clutter-device-manager-core-x11.c | 27 +++++++++++++++------------
 clutter/x11/clutter-device-manager-xi2.c      | 39 +++++++++++++++++++++------------------
 clutter/x11/clutter-stage-x11.c               | 93 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------
 clutter/x11/clutter-stage-x11.h               |  3 +++
 5 files changed, 111 insertions(+), 53 deletions(-)

commit 0d0cb13c8d54499d6a4a74e7cfe0db3190d04501
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 14 11:19:22 2013 +0100

    stage: Adjust drawing to include the window scaling factor
    
    In order to transparently support high DPI density displays, we must
    maintain all coordinates and sizes exactly as they are now — but draw
    them on a surface that is scaled up by a certain factor. In order to
    do that we have to change the viewport and initial transformation
    matrix so that they are scaled up by the same factor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-stage-private.h |   3 +++
 clutter/clutter-stage.c         | 122 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 94 insertions(+), 31 deletions(-)

commit b9072a5e211cfb14c9f8a2d9affe0e40dd91dbb9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 14 11:17:09 2013 +0100

    stage-window: Add scaling factor accessors
    
    We'll need to set and get the scaling factor of a ClutterStage from its
    StageWindow implementation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-stage-window.c | 27 +++++++++++++++++++++++++++
 clutter/clutter-stage-window.h |  8 ++++++++
 2 files changed, 35 insertions(+)

commit 5c44a5e6f49e1697fffb92e69072542c1d2cf315
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Thu Sep 19 16:38:53 2013 +0200

    ClutterEvent: preserve extended state across clutter_event_copy()
    
    We're going nowhere if we don't copy these, because the final
    delivered event is a copy of the event generated by the backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708383

 clutter/clutter-event.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d72f3a3509538f5fa662414ae76f0fbb30abb2d1
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:   Tue Sep 17 00:57:03 2013 +0300

    Updated Hebrew translation

 po/he.po | 3191 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 1 file changed, 1876 insertions(+), 1315 deletions(-)

commit bd4ade3e0cfbd62aa8f70b8a97a76e87864cf59d
Author: Benjamin Steinwender <b@stbe.at>
Date:   Mon Sep 16 19:01:02 2013 +0200

    Updated German translation

 po/de.po | 1301 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 659 insertions(+), 642 deletions(-)

commit b29115e8836fd5ad61b44bfb5f45a161e9001ce6
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Sep 11 15:39:23 2013 +0200

    evdev: fix a crash when reclaiming devices
    
    That was not how you iterate a list!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707901

 clutter/evdev/clutter-device-manager-evdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08ddd02bb239c1d79eff98cf77f4b237084aa1b3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Sep 15 10:28:58 2013 +0100

    backend: Do not use CLUTTER_WINDOWING_EGL unconditionally
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708079

 clutter/clutter-backend.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9b5b4325338bf29be93cf423d976ba97e7395b11
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Sep 14 15:29:55 2013 +0700

    Updated Indonesian translation

 po/id.po | 1292 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 652 insertions(+), 640 deletions(-)

commit b2ba60699f9f039500e75d2b9e97f209cc0c0ebd
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Fri Sep 13 17:31:50 2013 +0530

    Assamese Translation Updated

 po/as.po | 1347 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 684 insertions(+), 663 deletions(-)

commit 86d72cd2e8983e3ffc563ebd298ddff600edbfb5
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Thu Sep 12 20:00:33 2013 +0300

    Updated Belarusian translation.

 po/be.po | 1291 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 652 insertions(+), 639 deletions(-)

commit a595e5ff71af599b3cccafe90b130dd4b2458505
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 12 15:22:44 2013 +0300

    Updated Latvian translation

 po/lv.po | 1291 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 653 insertions(+), 638 deletions(-)

commit 89cd3112febbc27a9222623df4f50404934e2fec
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Sep 9 10:51:11 2013 +0200

    evdev: add minimal support for touchpads
    
    The added support is very very basic (single touch, motion only,
    no acceleration, no pressure recognition), but anything more
    complex requires a state machine that will be hopefully provided
    by libinputcommon in the future.
    And at least, with this patch the pointer moves, which will be
    useful for people testing wayland in 3.10 without a physical mouse.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 101 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 94 insertions(+), 7 deletions(-)

commit 986e46dc6677a708cd3db8abaf28f09cd2007c4b
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Tue Sep 10 20:56:09 2013 +0200

    text: Consider text direction when computing layout offsets
    
    Currently this is only the case when the actor's x-expand/x-align
    flags have been set and clutter_text_compute_layout_offsets() is
    used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/clutter-text.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit da3e6988ad7259e65bbb051589c1adb0d11421d0
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Tue Sep 10 18:29:28 2013 +0200

    Add API to restrict the windowing backend to load
    
    In situations when the default backend would fail (for example
    when compiled with X11 support but run without DISPLAY), or
    when the application is using backend specific code, it makes
    sense to let the application choose the backend explicitly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707869

 clutter/clutter-backend-private.h |  2 ++
 clutter/clutter-backend.c         | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 clutter/clutter-backend.h         |  3 +++
 clutter/clutter-main.c            | 49 +------------------------------------------------
 clutter/clutter.symbols           |  1 +
 5 files changed, 83 insertions(+), 50 deletions(-)

commit 5c035f2107cda24a074246d6b083296da2526c07
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Sep 9 07:52:55 2013 +0100

    click-action: disconnect signals and gsources on dispose
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707774

 clutter/clutter-click-action.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 142c1bbee7b46cf390eb375149da618a466f56bb
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Sep 10 16:18:15 2013 +0800

    MSVC Builds: Silence Cogl Deprecation Warnings
    
    Cogl-1.16 has much deprecation that is done, which causes the build of
    Clutter to generate lots of C4996 (deprecation) warnings.  As in commit
    fa8809d7 (Add COGL_DISABLE_DEPRECATION_WARNINGS to the build flags), do
    likewise by adding this macro in the Visual C++ property sheets, so we
    would have much less C4996 warnings during the build.
    
    Please see bug 703877 for the rationale behind this.

 build/win32/vs10/clutter.props  | 2 +-
 build/win32/vs9/clutter.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ac70bd3503ee7adc9bf6938353e25e81e852bfaf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Sep 9 17:54:38 2013 -0400

    box-layout: Fix floating point truncation when calculating a child's size
    
    The child size is a float, not an int.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707808

 clutter/clutter-box-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a748aab0edc29e08596ed9b72929caeedfec9325
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Sep 3 12:24:20 2013 +0100

    wayland: Check for NULL surface on pointer leave events
    
    In the protocol this is the expected behaviour when the client has
    destroyed the surface.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707377

 clutter/wayland/clutter-input-device-wayland.c | 3 +++
 1 file changed, 3 insertions(+)

commit d4ddabeaadaa6f56f87fddc73fb29683d2134487
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Sep 9 13:19:20 2013 +0200

    evdev: remove keyboard state accessor
    
    It was a bad idea to add it, because clutter events are batched,
    so by the time the application processes one, the keyboard state
    internally tracked by clutter could be already different.
    Instead, apps should use clutter_event_get_state_full()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 18 ------------------
 clutter/evdev/clutter-evdev.h                |  1 -
 2 files changed, 19 deletions(-)

commit bf007a133900c333ef22099061efe2dc626fabab
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Sep 9 07:53:51 2013 +0100

    backend: add missing transfer annotation

 clutter/clutter-backend.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15d036ea1e1cbc2a0944ba573a32922b96414261
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Sep 9 10:29:47 2013 +0200

    evdev: use EV_SYN/SYN_REPORT for dispatching motion events
    
    We can't dispatch a motion event for EV_REL (because we don't
    have yet the other half of the event), but we can't also queue
    them at the end of processing (because we may lose some history
    or have button/keys intermixed).
    Instead, we use EV_SYN, which means "one logical event was
    completed", and let the winsys-independent code do the actual
    motion compression.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 47 ++++++++++++++++++++++++-----------------------
 1 file changed, 24 insertions(+), 23 deletions(-)

commit 5e005b42982d8d80f7175d871ee526043e84a9f7
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Sep 6 17:54:59 2013 +0200

    evdev: implement horizontal scrolling
    
    If the kernel reports REL_HWHELL, convert it to horizontal
    scroll events.
    Also reorganize a bit the recognition for the other event
    enums.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 65 +++++++++++++++++++++--------------------------------------------
 1 file changed, 21 insertions(+), 44 deletions(-)

commit d882366d11bb430966d1b0d32b4ba1936ad68ec9
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Sep 6 16:56:55 2013 +0200

    evdev: implement setting leds
    
    When the leds are changed in the keyboard state, propagate the
    change to the actual devices.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 115 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------
 clutter/evdev/clutter-xkb-utils.c            |  43 -------------------------------------------
 clutter/evdev/clutter-xkb-utils.h            |   4 ----
 3 files changed, 85 insertions(+), 77 deletions(-)

commit cd1749a2a55b4a0d8ba016d00265686909b4bbd9
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Sep 6 16:03:29 2013 +0200

    evdev: switch to libevdev for fetching the events
    
    libevdev is a library that wraps the evdev subsystem, with
    the ability to synchronize the state after a SYN_DROPPED event
    from the kernel.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 README.in                                    |   5 ++++
 clutter/evdev/clutter-device-manager-evdev.c | 297 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------
 configure.ac                                 |   2 +-
 3 files changed, 180 insertions(+), 124 deletions(-)

commit 19536c88351347b5509997100e7a9bdd3ba027ef
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Sep 6 15:59:21 2013 +0200

    evdev: sync the keyboard state when releasing and reclaiming devices
    
    When we release a device, we lose all the events after that point,
    so our state can become stale. Similarly, we need to sync the
    state with the effectively pressed keys when we reclaim.
    This ensures that modifier keys don't get stuck when switching
    VTs using a keybinding.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 78 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 69 insertions(+), 9 deletions(-)

commit 59f1e531f9ac0a3e43a7b1aa80019373cf2ac01c
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Sep 4 14:42:56 2013 +0200

    ClutterEvent: add API to query the full keyboard state when the event was generated
    
    When talking to other applications or serializing the modifier
    state (and in particular when implementing a wayland compositor),
    the effective modifier state alone is not sufficient, one needs
    to know the base, latched and locked modifiers.
    
    Previously one could do with backend specific functionality
    such as clutter_device_manager_evdev_get_xkb_state(), but the
    problem is that the internal data structures are updated as
    soon as the events are fetched from the upstream source, but
    the events are reported to the application some time later,
    and thus the two can get out of sync.
    This way, on the other hand, the information is cached in the
    event, and provided to the application with the value that
    was current when the event was generated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/clutter-event-private.h                |  7 +++++++
 clutter/clutter-event.c                        | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-event.h                        |  7 +++++++
 clutter/clutter.symbols                        |  1 +
 clutter/evdev/clutter-device-manager-evdev.c   |  9 +++------
 clutter/evdev/clutter-xkb-utils.c              | 18 +++++++++++++++---
 clutter/evdev/clutter-xkb-utils.h              |  3 +++
 clutter/wayland/clutter-input-device-wayland.c |  6 ++----
 clutter/x11/clutter-device-manager-xi2.c       | 51 +++++++++++++++++++++++++--------------------------
 clutter/x11/clutter-input-device-xi2.c         | 33 ++++++++++++++++++++++-----------
 clutter/x11/clutter-input-device-xi2.h         |  7 ++++---
 11 files changed, 154 insertions(+), 54 deletions(-)

commit dd940a71b1b48541fc2410a8d6b49dbb0659c662
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Sep 4 13:36:41 2013 +0200

    evdev: update the state of the core pointer and core keyboard for all events
    
    These two devices are logically tied togheter, and their state
    should always be the same. Also, we need to update them after
    the event is queued, as the current modifier state (as opposed to the
    modifier mask in the event) should include also the effect of the last
    key press/release.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/evdev/clutter-device-manager-evdev.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 0db9075562550fd1018b9af694b27d499d9dbe52
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Aug 14 16:49:00 2013 +0200

    ClutterInputDevice: add new API for querying the modifier state
    
    This way, the full state of the device is exposed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706494

 clutter/clutter-input-device.c | 19 +++++++++++++++++++
 clutter/clutter-input-device.h |  2 ++
 clutter/clutter.symbols        |  1 +
 3 files changed, 22 insertions(+)

commit b73f5130917cc2fba19733317ae5bbc9474dd6f0
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Thu Aug 22 00:19:21 2013 +0200

    evdev: use monotonic times for the events
    
    The monotonic clock is what X uses too, so this way the timestamps
    can be compared.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706543

 clutter/evdev/clutter-device-manager-evdev.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit aef3d0022cd5b563f86774ec9ad79b70fbe9308a
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 23 12:15:40 2013 +0200

    evdev: add callback to constrain the pointer position
    
    Add a new callback that is called prior to emitting pointer
    motion events and that can modify the new pointer position.
    The main purpose is allowing multiscreen apps to prevent the
    pointer for entering the dead area that exists when the screens
    are not the same size, but it could also used to implement
    pointer barriers.
    A callback is needed to make sure that the hook is called early
    enough and the Clutter state is always consistent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706652

 clutter/evdev/clutter-device-manager-evdev.c | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 clutter/evdev/clutter-evdev.h                | 27 +++++++++++++++++++++++++++
 2 files changed, 78 insertions(+), 2 deletions(-)

commit 89d09a07d3d3c761c2d83d1351b1ab8fe1eab0ca
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Sep 6 13:22:45 2013 +0400

    Updated Russian translation

 po/ru.po | 1456 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 725 insertions(+), 731 deletions(-)

commit b4d95ee3e84810fd3de25e0387adf0704e8d8c7b
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:   Thu Sep 5 00:02:38 2013 +0200

    Added Aragonese translation

 po/an.po | 2793 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2793 insertions(+)

commit 7d5b4d69e7e3ca3095783e8b2fab241bf6bf682f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 3 09:15:10 2013 +0200

    Updated Serbian translation

 po/sr.po       | 1285 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 1285 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 2 files changed, 1298 insertions(+), 1272 deletions(-)

commit c141bda460292c94a6020c9f6efa78b3570e71fd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 2 23:59:14 2013 +0100

    Post-release version bump to 1.15.93

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d38e7127fe7a821b4135d706dc9ec0e6eef06941
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 2 23:40:41 2013 +0100

    Release Clutter 1.15.92 (snapshot)

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit e224415a47ab8854f44d7ff63843c9ef3df9d7f9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 2 17:06:49 2013 +0100

    Revert "clutter-offscreen-effect: Allocate the cogl texture directly"
    
    This reverts commit 180e7d74f3325731ac5e91350233c26200a44fd7.
    
    The lazy texture allocation is gone in Cogl 1.15.9.

 clutter/clutter-offscreen-effect.c | 18 +++---------------
 1 file changed, 3 insertions(+), 15 deletions(-)

commit 8f88ada0c6bc18e39e126d92776c1d314de961e7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 2 17:06:03 2013 +0100

    build: Depend on Cogl 1.15.9
    
    The laxy texture allocation has been removed from Cogl 1.15, so we need
    to depend on the new developers snapshot.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce4d5fc8cdbf3e97633eab442e4a7d98802ff43c
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Aug 31 22:53:04 2013 +0200

    [l10n] Update Catalan translation

 po/ca.po | 1229 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 619 insertions(+), 610 deletions(-)

commit daaec724dc3c84408183855b4e2b4905d9d22a85
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Aug 29 17:31:42 2013 +0800

    Clean up Visual Studio Build Files
    
    -Combine entries in the property sheets and make it a bit more flexible,
     and drop some redundant items
    -Use Custom Build Rules for generating enumeration and marshalling sources,
     and the .def file so that they can be wiped off when a "clean" is
     requested, and regenerate automatically when the templates/.symbols
     files are updated.
    -Improve consistency by using ApiVersion rather than ClutterApiVersion
     with the Visual Studio project for other components of the Clutter/GTK+
     stack
    -Get rid of unneeded configs in the "install" project

 build/win32/vs10/clutter.props             | 428 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 build/win32/vs10/clutter.sln               |  16 +++----
 build/win32/vs10/clutter.vcxproj.filtersin |   5 +++
 build/win32/vs10/clutter.vcxprojin         | 136 ++++++++++++++++++++++++++++++++++++++++++------------------
 build/win32/vs10/install.vcxproj           |  84 ++-----------------------------------
 build/win32/vs9/clutter.sln                |  16 +++----
 build/win32/vs9/clutter.vcprojin           | 230 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 build/win32/vs9/clutter.vsprops            | 398 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------
 build/win32/vs9/install.vcproj             |  60 ++-------------------------
 9 files changed, 726 insertions(+), 647 deletions(-)

commit cb3a4ac1a2599f4e8ea315c1080824c5a67c6b34
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Aug 29 10:50:08 2013 +0800

    Visual C++ Builds: Update Header "Installation"

 build/win32/vs10/clutter.props  | 40 +++++++++++++++++++++++++++++-----------
 build/win32/vs9/clutter.vsprops | 23 ++++++++++++++++-------
 2 files changed, 45 insertions(+), 18 deletions(-)

commit 6083ec112fc67c182138f1c1f44992007afc82f7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 28 22:59:00 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 1435 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 719 insertions(+), 716 deletions(-)

commit cb00652fbb261b6f4ec8ffca148f0b1b7a901fa3
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Tue Aug 27 19:13:53 2013 +0200

    Added slovak translation

 po/sk.po | 3029 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 3029 insertions(+)

commit 8db571ff54db6f877f079014eb6020aab36f97d9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Aug 27 08:47:16 2013 -0400

    tests: Fix compiler warnings

 tests/conform/actor-layout.c | 2 +-
 tests/conform/events-touch.c | 1 -
 tests/conform/texture-fbo.c  | 3 +--
 3 files changed, 2 insertions(+), 4 deletions(-)

commit 90b696a4d257565ea335e3df9c5f1085fd4069aa
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Aug 22 14:22:31 2013 +0200

    Update French translation

 po/fr.po | 1226 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 619 insertions(+), 607 deletions(-)

commit 05f56affe19468e1e54281230cd23333f94cfebb
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Jun 14 17:49:01 2013 -0400

    box-layout: Fix RTL layout swapping with non-zero container offsets
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706450

 clutter/clutter-box-layout.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit fe2aa9237ab20ce7f3b4766e425fac058212cb7c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 22:14:33 2013 +0200

    Updated Polish translation

 po/pl.po | 1226 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 619 insertions(+), 607 deletions(-)

commit f3f0dff16a9fbc70dfec25c1199376d8c7836a94
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 11:26:11 2013 +0100

    Revert "Depend on the cogl-path-1.0 pkg-config file"
    
    This reverts commit b6fc4a810f2f3437d5478241a6e6ff2aa43cf0b4.
    
    It seems that the Cogl/Cogl-Path split was not meant to break API/ABI,
    so we should not check for a new dependency. Let's revert the commit,
    and wait for Cogl to get fixed instead.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b6fc4a810f2f3437d5478241a6e6ff2aa43cf0b4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 10:52:37 2013 +0100

    Depend on the cogl-path-1.0 pkg-config file
    
    The CoglPath API has been split from the main Cogl SO, and we need to
    add it as a dependency.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706367

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6a4a8b584b11aae2c268ec3aa42e29b9538ff27e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 00:21:40 2013 +0100

    Post-release version bump to 1.15.91

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee6be96a3b3b69e9f3e7cc4f5390fbc2b22c3732
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 00:04:56 2013 +0100

    Release Clutter 1.15.90

 NEWS         | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 4698e791bff7d9eb5993ed3805a69b3845e6c475
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 00:09:05 2013 +0100

    Update exported symbols

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit bf1997c4ef83c658c3566574e8bdf01dd9120957
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 20 00:01:45 2013 +0100

    paint-nodes: Have a fallback buffer for the root node
    
    If we don't get passed a CoglFramebuffer when creating the root paint
    node then we ask Cogl to give us the current draw buffer.
    
    This allows the text-cache conformance test to pass, but it'll require
    further investigation.

 clutter/clutter-paint-nodes.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c14bd84eefd53c9df891e4d031455fbf75dbb4c3
Author: Florian Müllner <florian.muellner@gmail.com>
Date:   Tue Jul 9 02:57:12 2013 +0200

    table-layout: Fix default values for expand/fill child properties
    
    Currently the default values according to their param spec don't
    match the actually used defaults, so update the former to reflect
    the actual behavior.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703809

 clutter/clutter-table-layout.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8e850ff3e4f02d37ec7ecc272eea540ffd29dbcf
Author: Florian Müllner <florian.muellner@gmail.com>
Date:   Sat Jul 6 02:11:42 2013 +0200

    box-layout: Fix (legacy) expand/fill properties
    
    Whether a child should receive extra space should be determined
    by the expand property, not [xy]_fill (which just determine how
    additional space should be used). The behavior is already correct
    when using the ClutterActor:[xy]_expand properties, but needs
    fixing for the corresponding ClutterBoxLayoutChild property.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703809

 clutter/clutter-box-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 40a1903db6dd80445275b3f73a53fd7b7df47017
Author: Florian Müllner <florian.muellner@gmail.com>
Date:   Sat Jul 6 01:38:28 2013 +0200

    bin-layout: Fix offsets
    
    Just as BoxLayout, BinLayout uses an odd interpretation of the box
    passed into allocate(): to define a child area of (w x h) starting at
    (x, y), callers need to pass a box of (x, 2 * x + w, y, 2 * y + h).
    This behavior is just confusing, change it to use the full box for
    child allocations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703809

 clutter/clutter-bin-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5dd2dcf14ff4676ac4d84ef567d1bca1faaaab7a
Author: Florian Müllner <florian.muellner@gmail.com>
Date:   Sat Jul 6 01:27:38 2013 +0200

    box-layout: Fix child offsets
    
    Currently, BoxLayout interprets the box passed into allocate() in
    a fairly peculiar way:
     - in the direction of the box, all space between [xy]1 and [xy]2
       is distributed among children (e.g. children occupy the entire
       width/height of the box, offset by [xy]1)
     - in the opposite direction, expanded children receive space
       between [xy]1 and the height/width of the box (e.g. children
       occupy the width/height of the box minus [xy]1, offset by [xy]1)
    The second behavior doesn't make much sense, so adjust it to interpret
    the box parameter in the same way as the first one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703809

 clutter/clutter-box-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5bab9a8655346290f7ee0e4af972e3d085a6b818
Author: Florian Müllner <florian.muellner@gmail.com>
Date:   Fri Jul 5 16:54:07 2013 +0200

    actor: Minor cleanup
    
    In clutter_allocate_align_fill(), x2/y2 may be set twice for no
    particular reason; save a couple of lines by not doing this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703809

 clutter/clutter-actor.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit a3b093d9c846c26793177d2d603b9eefef131cc1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 19 23:31:54 2013 +0100

    cookbook/examples: Disable Cogl deprecation warnings
    
    We'll have to port the cookbook to a decent version of Clutter and Cogl
    anyway.

 doc/cookbook/examples/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 0d7bbc747f387833aa94bf309917e57c18079866
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 19 23:30:09 2013 +0100

    docs: Fix gtk-doc warnings

 clutter/evdev/clutter-device-manager-evdev.c | 2 ++
 doc/reference/clutter/clutter-sections.txt   | 1 +
 2 files changed, 3 insertions(+)

commit 0b6498d65525661fa4dd7a94929b3c0aee0a129a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 21 00:51:05 2013 +0100

    Use paint nodes to set up the stage
    
    This allows to set a Content on a stage, and consolidates the paint
    code where it belongs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704625

 clutter/clutter-actor.c  | 46 +++++++++++++++++++++++++++++++++++++---------
 clutter/clutter-stage.c  |  4 +++-
 examples/image-content.c | 28 +++++++++++-----------------
 3 files changed, 51 insertions(+), 27 deletions(-)

commit 1d9e2640512067043357456f0298c4798195e167
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 21 00:47:15 2013 +0100

    paint-nodes: Remove modelview from ClutterRootNode
    
    It's pointless, since RootNode sits at the top and there's no modelview
    to be set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704625

 clutter/clutter-paint-node-private.h |  3 +--
 clutter/clutter-paint-nodes.c        | 12 +-----------
 2 files changed, 2 insertions(+), 13 deletions(-)

commit 371b12c4afca0197a0c460e0a423357d7a1e317e
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Thu Apr 25 17:16:15 2013 -0700

    tests: add an interactive test for rotate and zoom actions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698836

 tests/interactive/Makefile.am        |  3 ++-
 tests/interactive/test-rotate-zoom.c | 98 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+), 1 deletion(-)

commit 700baccc7c22077c04fbedb521d9348bf7636e2c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 16 11:07:35 2013 +0100

    build: Generate gitignore on BUILT_SOURCES
    
    The test-unit-names.h header file is generated unconditionally, so we
    need to generate the gitignore file that references it along with the
    header.

 tests/interactive/Makefile.am | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 97bf60f6ecfd5eb47919630fa580ad7a7cdc3388
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 16 11:02:41 2013 +0100

    Show if we are installing the tests in the configure summary

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit fa72540246499f71fc69172d7c5d7902bf666011
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 16 10:57:54 2013 +0100

    build: Ensure tests are built only on make check
    
    Tests should only be enabled when we want to run them, or when we are
    generating a tarball.

 tests/Makefile.am               |  11 -----------
 tests/accessibility/Makefile.am |   8 +++++---
 tests/conform/Makefile.am       | 101 +++++++++++++++++++++++++++++++++++------------------------------------------------------------------
 tests/interactive/Makefile.am   |   9 +++++----
 tests/micro-bench/Makefile.am   |   2 +-
 tests/performance/Makefile.am   |   2 +-
 6 files changed, 47 insertions(+), 86 deletions(-)

commit b50e1c3b628c0238da0d1ea89853b53ef06fa2ef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 16 10:17:15 2013 +0100

    actor: Do not set remove-on-complete on implicit transitions
    
    The implicitly created transitions are removed when complete by the
    implicit transition machinery. The remove-on-complete hint is for
    user-provided transitions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705739

 clutter/clutter-actor.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit edf00747ef3bb955ad48a2191cdec33524156298
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 16 10:15:57 2013 +0100

    docs: Use the correct signal name
    
    ClutterTransition:remove-on-complete uses the ClutterTimeline::stopped
    signal, as it's the signal that tells us that the timeline's duration
    has fully elapsed.

 clutter/clutter-transition.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8abd2baeaa3c6564245281f673a3003e4f4110c4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 19 23:16:58 2013 +0200

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 4d03d95e41aca72be87e5f89ed588692d7799346
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 19 23:14:29 2013 +0200

    Updated Slovenian translation

 po/sl.po | 1200 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 601 insertions(+), 599 deletions(-)

commit 0e519e2b3b0de6880533631ddfb85362727524a8
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 18:43:19 2013 +0200

    evdev: implement wheel events
    
    Mouse wheel events come as EV_REL/REL_WHEEL, and we can convert
    them to clutter events on the assumption that scrolling with
    the wheel is always vertical.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-device-manager-evdev.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 7b780b0c38ea95fa6a79b2cad1b070c245746255
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 17:07:52 2013 +0200

    evdev: don't update xkb state for autorepeated keys
    
    xkb_state_update_key() needs to be called only on state transitions,
    otherwise the state tracking gets confused and locks certain modifiers
    forever.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-device-manager-evdev.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 8c358f18b1be3a10430be6abb164494cf1591ed0
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 17:06:39 2013 +0200

    evdev: allow hooking directly into libxkbcommon
    
    A wayland compositor needs to have more keyboard state than
    ClutterModifierState exposes, so it makes sense for it to use
    xkb_state directly. Also, it makes sense for it to provide
    it's own keymap, to ensure a consistent view between the compositor
    and the wayland clients.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-device-manager-evdev.c | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-evdev.h                |  5 +++++
 2 files changed, 79 insertions(+)

commit 786532213b0d409c9261434ecc9e64d2c12a2808
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 11:53:46 2013 +0200

    evdev: add master / slave device handling
    
    All evdev devices are slave devices, which means that xkb state
    and pointer position must be shared by emulating a core keyboard
    and a core pointer. Also, we must make sure to add all modifier
    state (keyboard and button) to our events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-device-manager-evdev.c   | 230 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 clutter/evdev/clutter-xkb-utils.c              |   6 ++++-
 clutter/evdev/clutter-xkb-utils.h              |   2 ++
 clutter/wayland/clutter-input-device-wayland.c |   6 +++--
 4 files changed, 139 insertions(+), 105 deletions(-)

commit f749858df339bc8f384b801fbbd7262e23422049
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 10:57:50 2013 +0200

    evdev: remove dead code
    
    ClutterDeviceManager uses g_object_new directly, to pass the
    necessary properties down.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-input-device-evdev.c | 6 ------
 clutter/evdev/clutter-input-device-evdev.h | 1 -
 2 files changed, 7 deletions(-)

commit d844cf54628884f8608d45fd6ad5e3eedd797ac2
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 10:53:31 2013 +0200

    evdev: fix xkb_state handling
    
    We must pass X11 keycodes, not evdev ones, to libxkbcommon,
    otherwise the modifier state is wrong.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-device-manager-evdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3557f7a2fff0cd9a37b8e892c4a280a7304848c
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Aug 9 10:10:36 2013 +0200

    evdev: fix X11 to evdev keycode translation
    
    Hardware keycodes in Clutter events are x11 keycodes, which are
    the same as evdev + 8, but we need to reverse the translation when
    explicitly asked for an evdev keycode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705710

 clutter/evdev/clutter-input-device-evdev.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 26b2852601620f5b042e2a43b6e7bfa5d07beeda
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Jul 15 18:24:35 2013 +0200

    evdev: add a way for applications to tweak how devices are opened
    
    In some cases, applications (or actually, wayland compositors)
    don't have the required permissions to access evdev directly, but
    can do so with an external helper like weston-launch.
    
    Allow them to do so with a custom callback that replaces the regular
    open() path.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704269

 clutter/evdev/clutter-device-manager-evdev.c | 49 +++++++++++++++++++++++++++++++++++++++++++++----
 clutter/evdev/clutter-evdev.h                | 17 +++++++++++++++++
 2 files changed, 62 insertions(+), 4 deletions(-)

commit 1afe757109b808f213d2b021b2b33f7db4187980
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 12 17:29:28 2013 +0100

    wayland: When resizing only trigger a redraw if the stage has been shown
    
    This is necessary to avoid a deadlock with the compositor. When setting
    a stage size before the stage was shown this would trigger a redraw
    inside clutter_stage_wayland_resize. This redraw would result
    in a call into eglSwapBuffers which would attach a buffer to the surface
    and commit. Unfortunately this would happen before the role for the
    surface was set. This would result in the compositor not relaying to the
    client that the desired frame was shown.
    
    With this change the call to wl_shell_surface_set_toplevel is always
    made before the first redraw.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704457

 clutter/wayland/clutter-stage-wayland.c | 8 +++++++-
 clutter/wayland/clutter-stage-wayland.h | 1 +
 2 files changed, 8 insertions(+), 1 deletion(-)

commit d63632fe2e0b16b1b4f9ec4f139c89d72c2e9ee3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 6 19:34:36 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1228 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 1228 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 2 files changed, 1240 insertions(+), 1216 deletions(-)

commit b5c4d5a04445f8cb892ed7a1202a5e15f17119e8
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Aug 6 00:07:51 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1296 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 1 file changed, 656 insertions(+), 640 deletions(-)

commit 9808da7efed1ef96f3b0d8bdbd07c82da7fddffd
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 4 15:38:40 2013 +0100

    wayland: Only process enter and leave events Clutter created surfaces
    
    When combining with GTK we will receive enter and leave events for surfaces
    from both toolkits therefore we must filter our events appropriately.

 clutter/wayland/clutter-input-device-wayland.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 66044b665f9fee364c112e0611200c23e604992f
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 4 15:33:30 2013 +0100

    wayland: Check there is valid pointer or keyboard focus for events

 clutter/wayland/clutter-input-device-wayland.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit 558f142818d6ef22129833e07ad0ef2b6d39623c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Jul 25 14:19:22 2013 +0800

    Update Conformance Tests MSVC Project
    
    Use CLUTTER_ENABLE_EXPERIMENTAL_API as there are experimental APIs that
    are used and tested here, which will fix the build

 build/win32/vs10/test-conformance-clutter.vcxprojin | 8 ++++----
 build/win32/vs9/test-conformance-clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 7153863309f71d7f0fc9abae6c3e7c294af41dd8
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jul 15 18:36:26 2013 +0100

    wayland: Only create and act on shell_surface for non-foreign surfaces
    
    We should not create a shell surface and set the role for that shell
    surface if the surface was a foreign one provided through
    clutter_wayland_set_wl_surface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699578

 clutter/wayland/clutter-stage-wayland.c | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit b6d2232150f3c6212c4e4ff79b46ff885679d0c4
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Thu May 2 17:46:49 2013 +0100

    wayland: Add foreign surface support to stage
    
    This adds support for optionally a providing a foreign Wayland surface
    to a ClutterStage before it is first show. Setting a foreign surface
    prevents Cogl from allocating a surface and shell surface for the stage
    automatically.
    
    v2: add CLUTTER_AVAILABLE_IN_1_16 annotation and API reference docs
        (review from Emmanuele Bassi)
    v3: set a boolean to indicate that this stage is using a foreign surface
    (Rob Bradford)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699578

 clutter/clutter.symbols                    |  1 +
 clutter/wayland/clutter-stage-wayland.c    | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 clutter/wayland/clutter-stage-wayland.h    |  1 +
 clutter/wayland/clutter-wayland.h          |  3 +++
 doc/reference/clutter/clutter-sections.txt |  1 +
 5 files changed, 53 insertions(+)

commit a5e44d393481c6e2a261ce43f4884caa8d85628d
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jul 15 18:27:33 2013 +0100

    wayland: Add API for disabling the event dispatching
    
    This allows the integration of Clutter with another library, like GTK+,
    that is dispatching the events itself. This is implemented by calling
    into the cogl_wayland_renderer_set_event_dispatch_enabled() and since
    that function must be called on the newly created renderer the newly
    added clutter_wayland_disable_event_retrieval must be called before
    clutter_init()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704279

 clutter/clutter.symbols                    |  1 +
 clutter/wayland/clutter-backend-wayland.c  | 31 +++++++++++++++++++++++++++++++
 clutter/wayland/clutter-wayland.h          |  3 +++
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 36 insertions(+)

commit 697f7a335900d35ddff3e57b4d709bb613feef25
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Jul 17 12:41:27 2013 +0200

    clutter-actor: Make clutter_actor_has_mapped_clones public
    
    This allows some optimisations to be done that work when they are no clones.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703336

 clutter/clutter-actor.c | 18 ++++++++++++++----
 clutter/clutter-actor.h |  7 +++++++
 2 files changed, 21 insertions(+), 4 deletions(-)

commit 0cef63b8374c86753ca20b5270b57c486d541ca1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri May 31 14:18:01 2013 +0100

    win32: Disable event retrieval in Cogl
    
    Since commit 4543ed6ac3af in Cogl, Cogl will now try to consume
    Windows message itself. This doesn't really cause any problems because
    both message loops just call DispatchMessage which will cause the
    message to be routed through Clutter's window procedure either way.
    However, it's not great to have two sources listening for messages so
    this patch disables Cogl's message retrieval.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701356

 clutter/gdk/clutter-backend-gdk.c     |  1 +
 clutter/win32/clutter-backend-win32.c | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)

commit 3715a6687c65877b51f8abb5dfeb474372466d62
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri May 31 13:18:45 2013 +0100

    Update the dependencies for the MinGW build script
    
    As the binaries from Tor Lillqvist are no longer being kept up-to-date
    this also builds more of the deps from source.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701356

 build/mingw/mingw-fetch-dependencies.sh | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 68 insertions(+), 11 deletions(-)

commit c2d5dd2d11b601bbf44e97a12adcf475a2f3bb1b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 12 09:57:23 2013 +0100

    x11: Remove unused variable

 clutter/x11/clutter-input-device-core-x11.c | 1 -
 1 file changed, 1 deletion(-)

commit 01707f0da973d7ba149971b92ea51af9f99d4f2d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Jul 11 14:04:14 2013 -0400

    input-device-x11: Remove more dead code
    
    It seems this API has never been used..

 clutter/x11/clutter-input-device-core-x11.c | 21 ---------------------
 clutter/x11/clutter-input-device-core-x11.h |  6 ------
 2 files changed, 27 deletions(-)

commit e62cf4745f5b5a8a8983f3b284c11d13ef43d77f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jul 10 16:53:26 2013 -0400

    device-manager: Select for events on XIAllMasterDevices
    
    This removes a bit of work that we have to do for every device, and makes it
    easy for mutter to patch out parts of the event mask it doesn't want.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703969

 clutter/clutter-device-manager-private.h |  5 -----
 clutter/clutter-device-manager.c         | 12 ++----------
 clutter/clutter-device-manager.h         |  4 +++-
 clutter/clutter-input-device.c           | 20 --------------------
 clutter/x11/clutter-device-manager-xi2.c | 44 ++++++++++++++++++++++++++++++++++++++++++++
 clutter/x11/clutter-input-device-xi2.c   | 48 ------------------------------------------------
 6 files changed, 49 insertions(+), 84 deletions(-)

commit 032688800c9926f2f86bdcaf0bf30147f994cfcc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jul 10 16:34:48 2013 -0400

    device-manager: Don't pass the event mask around
    
    There's no point in doing this, as we always use a constant event mask.
    Simply do what everything else does.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703969

 clutter/clutter-device-manager-private.h |  9 +++------
 clutter/clutter-device-manager.c         |  5 ++---
 clutter/clutter-input-device.c           |  6 ++----
 clutter/x11/clutter-input-device-xi2.c   | 30 ++++++++----------------------
 clutter/x11/clutter-stage-x11.c          | 26 +++++---------------------
 clutter/x11/clutter-stage-x11.h          |  2 +-
 6 files changed, 21 insertions(+), 57 deletions(-)

commit e38ea7a20f6c1beae593d998c4aa6116930d0332
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jul 10 16:31:57 2013 -0400

    x11: Remove support for XInput 1
    
    Now we either use core X11 or XInput 2.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703969

 clutter/config.h.win32.in                     |   3 --
 clutter/x11/clutter-backend-x11.c             |  31 ++++------------
 clutter/x11/clutter-device-manager-core-x11.c | 230 ------------------------------------------------------------------------------------------------------------------
 clutter/x11/clutter-input-device-core-x11.c   | 373 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/x11/clutter-input-device-core-x11.h   |   5 ---
 configure.ac                                  |   6 ---
 6 files changed, 7 insertions(+), 641 deletions(-)

commit 0b32f99bd10cd7f4cbef55889328e93989c1551b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jul 10 16:26:01 2013 -0400

    backend-x11: Remove bad branch prediction
    
    This will only get once, at in Clutter initialization time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703969

 clutter/x11/clutter-backend-x11.c | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------
 1 file changed, 51 insertions(+), 54 deletions(-)

commit 78f20627ac8f3387d0b4751d8bf66ce85676f8f4
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jul 4 13:32:14 2013 +0100

    wayland: Don't pass the shell and compositor down to Cogl
    
    The Wayland 1.0 API allows orthoganal components of an application to
    query the shell and compositor themselves by querying their own
    wl_registry. The corresponding API in Cogl has been removed so Clutter
    shouldn't call it anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703878

 clutter/wayland/clutter-backend-wayland.c | 4 ----
 1 file changed, 4 deletions(-)

commit 6c66148faf4b637c64d0e4fb1729422cf9808fa5
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jul 4 13:28:45 2013 +0100

    Update ClutterWaylandSurface to use a resource instead of wl_buffer
    
    The Wayland server API has changed so that wl_shm_buffer is no longer
    a type of wl_buffer and wl_buffer will become an opaque type. This
    changes ClutterWaylandSurface to accept resources for a wl_buffer
    instead of directly taking the wl_buffer so that it can do different
    things depending on whether the resource points to an SHM buffer or a
    normal buffer. This matches similar changes to Cogl:
    
    https://git.gnome.org/browse/cogl/commit/?id=9b35e1651ad0e46ed48989
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703608

 clutter/wayland/clutter-wayland-surface.c | 25 +++++++++++++++----------
 clutter/wayland/clutter-wayland-surface.h |  4 ++--
 2 files changed, 17 insertions(+), 12 deletions(-)

commit fa8809d716f3c96966f510f607f9c318faea5a48
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jul 9 16:08:53 2013 +0100

    Add COGL_DISABLE_DEPRECATION_WARNINGS to the build flags
    
    Cogl 1.16 has deprecated a lot of API which it will be difficult for
    Clutter to catch up with. For the time being the warnings are just
    being disabled to keep the build output clean.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703877

 clutter/Makefile.am                    | 1 +
 clutter/deprecated/clutter-rectangle.c | 1 -
 clutter/deprecated/clutter-shader.c    | 1 -
 clutter/deprecated/clutter-texture.c   | 1 -
 4 files changed, 1 insertion(+), 3 deletions(-)

commit 2db5ae56cf50cf76065c381aab7a05a1695f2f12
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jul 9 16:07:57 2013 +0100

    Bump the required Cogl version to 1.15.1
    
    The unstable Wayland API which Clutter is using has changed so it will
    soon no longer build with Cogl 1.14 when Wayland support is enabled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703877

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dfe619856307fb416c6d2fd5ef3d7fe31b21d13d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 10 13:24:12 2013 +0100

    Post-release version bump to 1.15.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88f6bcdf731915c9ff1a9644d85c2a696b5f63c6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 10 12:32:25 2013 +0100

    Release Clutter 1.15.2 (snapshot)

 NEWS         | 72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 73 insertions(+), 1 deletion(-)

commit edb6e66d90d2abae91b3cda25fb6029be24e1a14
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 10 12:31:32 2013 +0100

    build: Fix distcheck for conformance tests
    
    We need to export G_TEST_SRCDIR and G_TEST_BUILDDIR if we want to be
    able to build the path to the tests data.

 tests/conform/Makefile.am | 12 ++++++++++--
 tests/data/Makefile.am    |  7 ++++++-
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 7fe7d56ae9d429ae346dc770e65006b26f8490ed
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 10 11:54:24 2013 +0100

    docs: Add missing symbols

 doc/reference/clutter/clutter-sections.txt | 39 +++++++++++++++++++++++++--------------
 1 file changed, 25 insertions(+), 14 deletions(-)

commit eed94960562693e489354afb2a78a355301515fa
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Jul 9 16:46:35 2013 +0100

    clutter-text: prevent text buffer creation if not needed
    
    When allocating or asking for preferred width/height on a ClutterText,
    it can notify a change on buffer/text/max-length if no text has been
    set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703882

 clutter/clutter-text.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 6227f7a0f55fdf3f6a0cc7b5fe83c2387bc1280f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 4 21:53:38 2013 +0100

    actor: Deprecate realize and unrealize
    
    There is no reasonable use case for having the functions, the virtual
    functions, and the signals for realization and unrealization; the
    concept belongs to an older era, when we though it would have been
    possible to migrate actors across different GL contexts, of in case a GL
    context would not have been available until the main loop started
    spinning. That is most definitely not possible today, and too much code
    would utterly break if we ever supported that.

 clutter/clutter-actor.c | 56 ++++++++++++++++++++++++++++++++++++++++----------------
 clutter/clutter-actor.h | 13 +++++++++----
 2 files changed, 49 insertions(+), 20 deletions(-)

commit 7df59887d7160532a1a3199d461ecbf5197cb271
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 16:01:56 2013 +0100

    wayland: Use a fake millisecond monotonic time source for event times
    
    The majority of Clutter input events require a time so that that the
    upper levels of abstraction can identify the ordering of events and also
    work out a click count.
    
    Although some Wayland events have microsecond timestamps not all those
    that Clutter expects do have. Therefore we would need to create some
    fake times for those events. Instead we always calculate our own time
    using the monotonic time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697285

 clutter/wayland/clutter-input-device-wayland.c | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 8df5aba361142b8b26d940d6bcc9a64cad5c7733
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed Jul 3 18:49:23 2013 +0100

    wayland: add support for connecting to a foreign display
    
    This allows the reuse of the display connection and hence objects with
    existing code that is using Wayland.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703566

 clutter/clutter.symbols                    |  1 +
 clutter/wayland/clutter-backend-wayland.c  | 36 +++++++++++++++++++++++++++++++++++-
 clutter/wayland/clutter-wayland.h          |  5 ++++-
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 41 insertions(+), 2 deletions(-)

commit 5b614cda1cd6032d7a0b1d9823219bc336086246
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 4 16:32:58 2013 +0100

    paint-nodes: Use the correct wrap mode for TextureNode
    
    If we allow content repeats on the texture nodes, then we need to use
    the "automatic" wrap mode for the texture layer in the pipeline, instead
    of the clamp-to-edge one.
    
    Reported-by: Matthew Watson <matthew@endlessm.com>
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 clutter/clutter-paint-nodes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f37798b4c52185dbf447f8b596f2b8fcdfa1608
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 4 16:12:27 2013 +0100

    Revert "cogl: Replace deprecated Cogl API"
    
    This reverts commit 6dd9da05c788473a7d19693036f814154e1a37dc.
    
    Windowing system features we need are not mapped on cogl_has_feature().
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 clutter/cogl/clutter-stage-cogl.c | 60 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 26 insertions(+), 34 deletions(-)

commit 52e0ec92b7f9dc6912796e10146e8171fe61ac2c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 4 15:48:39 2013 +0100

    build: Remove the wrappers directory on clean

 tests/conform/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 6dd9da05c788473a7d19693036f814154e1a37dc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 18:35:55 2013 +0100

    cogl: Replace deprecated Cogl API

 clutter/cogl/clutter-stage-cogl.c | 60 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 26 deletions(-)

commit 5a061ed4a3762431f6080b1d962060c8581aa2bf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 18:35:44 2013 +0100

    gdk: Replace deprecated Cogl API

 clutter/gdk/clutter-backend-gdk.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit dc7d42d87ab8ef6f571685e3a8910ae3a0a5debc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 18:24:27 2013 +0100

    x11: Replace deprecated Cogl API

 clutter/x11/clutter-backend-x11.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5cc7a1ee57945acd13c2425fa469db33121e5207
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 18:15:31 2013 +0100

    deprecated: Disable Cogl deprecation warnings
    
    Like we do for Clutter: we know we are using deprecated API.

 clutter/deprecated/clutter-rectangle.c | 1 +
 clutter/deprecated/clutter-shader.c    | 1 +
 clutter/deprecated/clutter-texture.c   | 7 ++++---
 3 files changed, 6 insertions(+), 3 deletions(-)

commit bb45f1797908d850d48fb165b210529c72b14209
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 18:04:40 2013 +0100

    deprecated: Use the new macros for instance private data

 clutter/deprecated/clutter-alpha.c             | 24 ++++++++++--------------
 clutter/deprecated/clutter-animation.c         |  7 ++-----
 clutter/deprecated/clutter-animator.c          |  7 ++-----
 clutter/deprecated/clutter-behaviour-depth.c   | 14 +++++---------
 clutter/deprecated/clutter-behaviour-ellipse.c | 17 +++++------------
 clutter/deprecated/clutter-behaviour-opacity.c | 20 +++++---------------
 clutter/deprecated/clutter-behaviour-path.c    | 32 +++++++++++---------------------
 clutter/deprecated/clutter-behaviour-rotate.c  | 33 +++++++++++++--------------------
 clutter/deprecated/clutter-behaviour-scale.c   | 14 +++++---------
 clutter/deprecated/clutter-behaviour.c         | 24 +++++++++---------------
 clutter/deprecated/clutter-box.c               |  8 ++------
 clutter/deprecated/clutter-cairo-texture.c     | 36 ++++++++++++++++--------------------
 clutter/deprecated/clutter-group.c             |  7 ++-----
 clutter/deprecated/clutter-rectangle.c         | 29 ++++++++++++-----------------
 clutter/deprecated/clutter-score.c             | 16 ++++++++--------
 clutter/deprecated/clutter-shader.c            |  8 ++------
 clutter/deprecated/clutter-state.c             | 12 +++---------
 clutter/deprecated/clutter-texture.c           | 24 +++++++++++-------------
 18 files changed, 123 insertions(+), 209 deletions(-)

commit 41bb03da2d5fa6fb4a60c1fb043c43d94cd0e92e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 14:14:01 2013 +0100

    Use the new macros for adding private data

 clutter/clutter-actor-meta.c                 | 14 ++++----------
 clutter/clutter-actor.c                      | 10 +++-------
 clutter/clutter-backend.c                    | 20 ++++++--------------
 clutter/clutter-bin-layout.c                 | 14 +++++---------
 clutter/clutter-box-layout.c                 | 32 +++++++++++++-------------------
 clutter/clutter-canvas.c                     |  7 ++-----
 clutter/clutter-click-action.c               |  8 ++------
 clutter/clutter-clone.c                      | 22 +++++++---------------
 clutter/clutter-deform-effect.c              | 12 ++++--------
 clutter/clutter-device-manager.c             | 12 ++++--------
 clutter/clutter-drag-action.c                |  7 ++-----
 clutter/clutter-drop-action.c                |  7 ++-----
 clutter/clutter-flow-layout.c                | 12 ++++--------
 clutter/clutter-gesture-action.c             |  7 ++-----
 clutter/clutter-grid-layout.c                | 25 +++++++++++--------------
 clutter/clutter-image.c                      |  6 ++----
 clutter/clutter-interval.c                   | 27 +++++++++++----------------
 clutter/clutter-keyframe-transition.c        | 12 ++++--------
 clutter/clutter-layout-manager.c             | 12 +-----------
 clutter/clutter-layout-manager.h             |  3 +--
 clutter/clutter-list-model.c                 | 21 ++++++++-------------
 clutter/clutter-model.c                      | 38 +++++++++++---------------------------
 clutter/clutter-offscreen-effect.c           | 12 ++++--------
 clutter/clutter-pan-action.c                 | 15 +++++----------
 clutter/clutter-path.c                       |  9 ++-------
 clutter/clutter-property-transition.c        |  8 ++------
 clutter/clutter-rotate-action.c              |  8 ++------
 clutter/clutter-script.c                     |  6 ++----
 clutter/clutter-scroll-actor.c               |  7 ++-----
 clutter/clutter-shader-effect.c              |  7 ++-----
 clutter/clutter-stage.c                      | 20 ++++++++------------
 clutter/clutter-swipe-action.c               |  8 ++------
 clutter/clutter-table-layout.c               | 14 +++-----------
 clutter/clutter-text-buffer.c                | 18 +++++++-----------
 clutter/clutter-text.c                       | 45 +++++++++++++++++++++------------------------
 clutter/clutter-timeline.c                   | 31 +++++++++++++------------------
 clutter/clutter-transition-group.c           |  9 ++-------
 clutter/clutter-transition.c                 |  7 ++-----
 clutter/clutter-zoom-action.c                |  8 ++------
 clutter/evdev/clutter-device-manager-evdev.c | 19 ++++++-------------
 clutter/evdev/clutter-input-device-evdev.c   | 15 ++++-----------
 clutter/wayland/clutter-wayland-surface.c    | 16 ++++++----------
 clutter/x11/clutter-x11-texture-pixmap.c     | 13 ++++---------
 43 files changed, 210 insertions(+), 413 deletions(-)

commit 8532ca21043dd619f903ff3ba4cb38dd050852c0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 14:02:09 2013 +0100

    cally: Use the new macros for adding private data

 clutter/cally/cally-actor.c | 28 +++++++++++-----------------
 clutter/cally/cally-root.c  | 12 ++++--------
 clutter/cally/cally-stage.c | 25 +++++++++----------------
 clutter/cally/cally-text.c  | 24 ++++++++++--------------
 4 files changed, 34 insertions(+), 55 deletions(-)

commit 13e3fc286df1a235ec553addaddf20f8c8ba768b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 14:01:36 2013 +0100

    build: Bump up the GLib dependency
    
    We need the new macros for declaring private instance data.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e905dd9d485f932a40d94ba776492a3a6101866
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 13:13:41 2013 +0100

    Fix annotations for signal arguments
    
    The introspection scanner started warning about mismatched arguments
    number.

 clutter/clutter-actor.c                  | 4 ++++
 clutter/x11/clutter-x11-texture-pixmap.c | 4 ++++
 2 files changed, 8 insertions(+)

commit 575b77210b448477da5a4d546579fe13b5f8a9c6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 3 13:08:26 2013 +0100

    build: Add *.test pattern to the ignored files list

 tests/conform/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f1769d9423c36b98bed5ab0adebdcbc874a215f0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 23:21:45 2013 +0100

    conform/actor-layout: Remove the continuous redraw
    
    We just need one paint cycle.

 tests/conform/actor-layout.c | 44 ++++++++++++++++++--------------------------
 1 file changed, 18 insertions(+), 26 deletions(-)

commit 3dad01ac22cdb40c620ebef6f435de29ad672cee
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 22:36:11 2013 +0100

    conform: Drop the Cogl tests
    
    Cogl has its own (way, way better) test suite these days, so we can drop
    our own units here.

 tests/conform/Makefile.am                          |  20 ---------
 tests/conform/test-cogl-atlas-migration.c          | 133 ----------------------------------------------------------
 tests/conform/test-cogl-fixed.c                    |  18 --------
 tests/conform/test-cogl-materials.c                | 383 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-multitexture.c             | 208 -------------------------------------------------------------------------------------------
 tests/conform/test-cogl-npot-texture.c             | 240 ---------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-object.c                   |  86 --------------------------------------
 tests/conform/test-cogl-premult.c                  | 368 ----------------------------------------------------------------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-readpixels.c               | 174 ----------------------------------------------------------------------------
 tests/conform/test-cogl-texture-get-set-data.c     | 168 -------------------------------------------------------------------------
 tests/conform/test-cogl-texture-mipmaps.c          | 137 ------------------------------------------------------------
 tests/conform/test-cogl-texture-pixmap-x11.c       | 250 -------------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-texture-rectangle.c        | 307 --------------------------------------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-vertex-buffer-contiguous.c | 258 -----------------------------------------------------------------------------------------------------------------
 tests/conform/test-cogl-vertex-buffer-interleved.c | 158 ---------------------------------------------------------------------
 tests/conform/test-cogl-vertex-buffer-mutability.c | 199 ---------------------------------------------------------------------------------------
 tests/conform/test-cogl-viewport.c                 | 412 ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 tests/conform/test-conform-main.c                  |  27 ------------
 18 files changed, 3546 deletions(-)

commit 1124fa9a10ebecc729b16dc99f9039e105a2c37e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 22:33:58 2013 +0100

    conform: Drop the TODO macro from the harness
    
    The TODO macro is barely used, and it's implemented in terms of
    deprecated, not portable API. Let's drop it.

 tests/conform/test-conform-main.c | 36 ++----------------------------------
 1 file changed, 2 insertions(+), 34 deletions(-)

commit 4a05ac34fca7988c3ea8155b779fb7d4cf071c6b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 22:24:31 2013 +0100

    build: Disable Cogl deprecation warnings for tests
    
    We are exercising all sorts of deprecated API anyway.

 tests/conform/Makefile.am     | 1 +
 tests/interactive/Makefile.am | 1 +
 tests/micro-bench/Makefile.am | 1 +
 tests/performance/Makefile.am | 1 +
 4 files changed, 4 insertions(+)

commit 4787ae2f638bc35c48caec2515427cf85aed25e2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 22:04:37 2013 +0100

    conform: Move timeline-base under conditional check
    
    The timeline base test unit is pretty slow, and under heavy load it will
    tend to fail because of skipped frames. We should put it under
    conditional testing and only run it if `-m slow` is passed to the test
    harness.

 tests/conform/test-conform-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1971844b9251659106426faff007ea42e8b594e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 2 22:00:23 2013 +0100

    conform: Use a repaint function
    
    Timeouts and idles are subject to the whims of the load of the machine
    running the tests, as we found out with the new installed tests and
    OSTree-based VM running the conformance test suite continuously.
    
    We should be able to use a repaint function and a blocking loop that
    either is terminated because we hit g_assert(), or because a flag gets
    toggled once we know that the Stage has been at least painted once.
    
    The currently enabled tests using clutter_stage_read_pixels() have been
    updated to this approach.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703476

 tests/conform/actor-layout.c             | 31 ++++++++++---------------------
 tests/conform/actor-offscreen-redirect.c | 78 +++++++++++++++++++++++++++++++++++-------------------------------------------
 tests/conform/texture-fbo.c              | 43 +++++++++++++++++++------------------------
 3 files changed, 64 insertions(+), 88 deletions(-)

commit e352047499873efb56afe5c60a397ec31f0d13c3
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 14:22:02 2013 +0100

    wayland: make the surface toplevel when showing the stage
    
    Cogl (as of 0b2b46ce) now only sets the shell surface as toplevel when
    the CoglOnscreen is shown.
    
    Without calling wl_shell_surface_set_toplevel the compositor will not
    know what role to give to the compositor and thus the stage will not
    appear.
    
    When we look to support multiple roles / foreign surfaces we will need
    to revisit this call and ensure we only call it when we are working in
    the default case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703188

 clutter/wayland/clutter-stage-wayland.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 5758ab5c89a6f2a6deebdf3f068489023e591441
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 14:45:01 2013 +0100

    wayland: Do not poll the Wayland socket for events
    
    Since Cogl also polls on this file descriptor we can get into situations
    where our event source is woken up to handle events but those events
    have instead been handled by Cogl resulting in the source sitting in
    poll().
    
    We can safely rely on Cogl to handle the polling on the event source and
    to dispatch those events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702202

 clutter/wayland/clutter-event-wayland.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit 1fb0295ba162507fb798b2b7030f0f45ff252f27
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jun 27 16:42:40 2013 +0100

    build: Enable Cogl support with Wayland
    
    The Wayland backend is based on Cogl, so we need to turn on the
    SUPPORT_COGL flag to avoid breaking the build; this always went
    unnoticed because we usually build the Wayland client backend
    with the X11 backend.
    
    Reported-by: Ross Burton <ross.burton@intel.com>

 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 180e7d74f3325731ac5e91350233c26200a44fd7
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Tue Jun 25 15:04:19 2013 +0200

    clutter-offscreen-effect: Allocate the cogl texture directly
    
    Cogl now lazy loads the textures so we cannot rely on getting NULL
    from cogl_texture_new_with_size so we have to allocate it by ourselves.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=975171

 clutter/clutter-offscreen-effect.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 8ac93460467e27f92e6fcc1e30f5d4f387449a37
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 24 20:30:40 2013 +0100

    tests/conform/texture-fbo: Log failure better
    
    We might as well print out exactly which assertion failed.

 tests/conform/texture-fbo.c | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

commit de20785b1b5975dacdfef59c072f4e195542b130
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 24 19:43:44 2013 +0100

    conform: Conditionally execute the texture-fbo unit
    
    If we don't have support for offscreen buffers, then there's no point in
    testing FBO support in ClutterTexture — a feature that has been long
    since deprecated, on a deprecated class.

 tests/conform/texture-fbo.c | 3 +++
 1 file changed, 3 insertions(+)

commit 18917259fe70eb6809b17a7832ee5c82c7e15057
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 24 14:11:30 2013 -0400

    Revert "Install a11y tests too"
    
    This reverts commit 2b4f47d4443bd4625dfbc02eb38faed926d0758d.
    
    These are presently "examples" (because they're just run
    interactively, not automatable tests).
    
    Conflicts:
            tests/accessibility/Makefile.am

 tests/accessibility/Makefile.am | 21 ---------------------
 1 file changed, 21 deletions(-)

commit ada04546f07e5dd9c2eae86d3be7f27d750ca531
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 24 13:37:41 2013 -0400

    Fix build with --enable-installed-tests
    
    Space, the ultimate frontier...and the breaker of Makefiles.

 tests/accessibility/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 30842868742c9a215346d9906083c8566a743d2e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jun 23 23:17:25 2013 -0400

    Install a11y tests too
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702941

 tests/accessibility/Makefile.am | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit e98f32b7c811c3b1417d9dc3ad2db6babd35ab62
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jun 23 22:53:13 2013 -0400

    Install conformance tests
    
    Install the conformance tests, and metadata to run them
    with gnome-desktop-testing-runner.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702941

 configure.ac                      |  6 ++++++
 tests/conform/Makefile.am         | 27 ++++++++++++++++++++++++++-
 tests/conform/test-conform-main.c |  2 +-
 tests/data/Makefile.am            |  5 +++++
 4 files changed, 38 insertions(+), 2 deletions(-)

commit 4d8d5a62f34182f6e8e2866d6203c31b79d4ea6c
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Tue Jun 18 16:37:31 2013 -0700

    text: relayout on cursor visibility change
    
    When the cursor visibility changes, we have to relayout the ClutterText
    actor instead of just redrawing it - as the cursor changes the
    PangoLayout size, a size request cycle is needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702610

 clutter/clutter-text.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c0b148232d46b41ad330428549544e2b6454c41b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 15 12:12:43 2013 +0100

    examples: Remove a stray restore_easing_state()
    
    The DropAction example has an additional restore_easing_state() on the
    handle which will produce a warning.

 examples/drop-action.c | 1 -
 1 file changed, 1 deletion(-)

commit 18f7a4aa12a0563283b3788d95ed837540da330f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 15 11:54:18 2013 +0100

    actor: Remove the was_painted flag
    
    While we still don't want to perform implicit transitions on unmapped
    actors, we can relax the requirement on having been painted once; the
    was_painted flag was introduced to avoid performing implicit transitions
    on the :allocation property, but for that we can use the
    needs_allocation flag instead, as needs_allocation will be set to FALSE
    when we have been painted as well.
    
    Thus, we retain our original goal of not having actors "flying" into
    position on their first allocation, without the side effect of
    preventing animations when emitting the ::show signal.

 clutter/clutter-actor.c | 73 ++++++++++++++++++++++++++++---------------------------------------------
 1 file changed, 28 insertions(+), 45 deletions(-)

commit fa933b5ec52d5ade2ca8eddefbd2de35d941c385
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Jun 11 14:01:30 2013 +0100

    clutter-text: prevent reset of user set font descriptions on dpi changes
    
    When setting the font using clutter_text_set_font_description(), the
    font settings on a ClutterText actor can be reset when there is a dpi
    changes signaled by the backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702016

 clutter/clutter-text.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 3bcee2b1225d266b79ee5f05b03f621728d82d9e
Author: Sjoerd Simons <sjoerd@greynoise.nl>
Date:   Sat May 25 01:20:32 2013 +0200

    gesture-action: begin gesture as soon as the number of touchpoints is reached
    
    1ddef9576d87c98fafbcefe3108f04866630c2cd had its logic the
    wrong way round, a gesture should begin as soon as the requested number
    of touchpoints is reached. Correcting this fixes tap events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700980

 clutter/clutter-gesture-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76fb468319ab1c5c4942d9de6d92075ddc22c54d
Author: Samuel Degrande <samuel.degrande@lifl.fr>
Date:   Wed Jun 12 10:40:36 2013 +0100

    deform-effect: Set cull-face mode on the correct pipeline
    
    Fix a function call to set the cull-face mode of the back_pipeline:
    the function was called on the 'front-pipeline' instead of the
    back-pipeline.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701208

 clutter/clutter-deform-effect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 150090c19b1370c125d57bfe2676669162940941
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 12 10:27:37 2013 +0100

    conform: Ensure that we don't leak references
    
    Especially on actors that are not parented and get destroyed.

 tests/conform/actor-graph.c      | 26 ++++++++++++++++++--------
 tests/conform/actor-invariants.c | 18 ++++++++++--------
 2 files changed, 28 insertions(+), 16 deletions(-)

commit e54246dd6957c45fe8ee4005c11d055e4c02f57e
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Thu Mar 28 14:01:04 2013 -0700

    Extra ref leak in clutter_actor_set_child_at_index too
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696813

 clutter/clutter-actor.c | 1 +
 1 file changed, 1 insertion(+)

commit 90f68edbdafc3a9a1c06c5cd414773ebb29d6071
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Thu Mar 28 13:51:41 2013 -0700

    clutter_actor_set_child_above/below_sibling leaking a reference
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696813

 clutter/clutter-actor.c | 2 ++
 1 file changed, 2 insertions(+)

commit caf695919578ee7a37861ce91d67922c2d9a85f7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 12 10:01:50 2013 +0100

    conform: Add suite for actor's meta objects

 tests/conform/Makefile.am         |  1 +
 tests/conform/actor-meta.c        | 41 +++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  2 ++
 3 files changed, 44 insertions(+)

commit cbf01998040d6213ea79fe5320ee90612200596d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 12 09:51:10 2013 +0100

    actor: Fix has_constraints() and has_actions()
    
    When we changed the MetaGroup to handle internal effects, we updated
    has_effects(), but forgot to fix the equivalent has_constrains() and
    has_actions() method.
    
    Now, if we clear the constraints or the actions on an actor, and we
    call has_constraints() or has_actions(), we get an false positive.

 clutter/clutter-actor.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit e1fe999db05b857b13c408187edcf440fe4e2d51
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 9 17:38:19 2013 +0100

    stage: Ensure that we don't pick during destruction
    
    When destroying a ClutterStage we should just skip picking operations,
    to avoid calling into a state that is being torn down.

 clutter/clutter-stage.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit d343cc6289583a7b0d929b82b740499ed588b1ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 10 21:41:24 2013 -0400

    x11: trap errors when calling XIQueryDevice
    
    Devices can disappear at any time, causing XIQueryDevice
    to throw an error. At the same time, plug a memory leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701974

 clutter/x11/clutter-device-manager-xi2.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit da6abc6fc946660cce261e03e86ee9c25087e926
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jun 4 12:16:35 2013 +0200

    Updated Czeach translation

 po/cs.po | 100 ++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 1 file changed, 52 insertions(+), 48 deletions(-)

commit ab4ece3e9c8be52064b70e6212ddb5a23666ad20
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 2 00:29:05 2013 +0200

    Updated Galician translations

 po/gl.po | 672 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 342 insertions(+), 330 deletions(-)

commit 0065fb459cdd856797eb265e10c56a030d3dc48f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 22 14:34:22 2013 +0100

    Revert "units: Handle negative values in clutter_units_from_string()"
    
    Stray commit got pushed too soon.
    
    This reverts commit 44f283bb72a3c1236629f7fe36ed5dc75bbb07e7.

 clutter/clutter-units.c | 13 -------------
 tests/conform/units.c   |  4 ----
 2 files changed, 17 deletions(-)

commit 44f283bb72a3c1236629f7fe36ed5dc75bbb07e7
Author: Bastian Winkler <buz@netbuz.org>
Date:   Wed May 22 15:10:28 2013 +0200

    units: Handle negative values in clutter_units_from_string()
    
    In order to allow values like "-2cm" in ClutterScript,
    clutter_units_from_string() needs to handle negative values as well.

 clutter/clutter-units.c | 13 +++++++++++++
 tests/conform/units.c   |  4 ++++
 2 files changed, 17 insertions(+)

commit 12de1ab9cd7bbba3cac708ac3c757691ed26833d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun May 19 13:02:15 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 668 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 340 insertions(+), 328 deletions(-)

commit 19391a9626b087bd4df452e8699d53caa54c350f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 6 15:46:25 2013 -0700

    cally: Use a weak pointer to hold the key focus in CallyStage
    
    We want to avoid the pointer getting stale, and causing crashes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692706

 clutter/cally/cally-stage.c | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit 0f0ed31a5a7429e8cd516aafa3934fd1bac15b85
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 15 21:19:51 2013 +0100

    gitignore: Add test-driver
    
    New script, courtesy of autotools 1.13.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 755f41f5595dcc18bb974bf182677224940ecfb9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 15 20:08:02 2013 +0100

    canvas: Remove invalidate_with_size()
    
    We can replace it by adding a return value to set_size() that can tell
    us if the set_size() invalidated the contents of the canvas or not.

 clutter/clutter-canvas.c | 89 ++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------
 clutter/clutter-canvas.h |  6 +-----
 2 files changed, 47 insertions(+), 48 deletions(-)

commit 323ec19dccca6b8930f7175278ae1249700031a5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 15 15:18:13 2013 +0100

    build: Remove INCLUDES directives
    
    They have been deprecated for a while, replaced by AM_CPPFLAGS.

 clutter/Makefile.am               | 21 +++++++++------------
 doc/cookbook/examples/Makefile.am | 14 ++++++--------
 doc/reference/cally/Makefile.am   |  7 ++++++-
 doc/reference/clutter/Makefile.am |  8 +++++++-
 examples/Makefile.am              | 12 +++++-------
 tests/conform/Makefile.am         | 12 +++++-------
 tests/interactive/Makefile.am     | 12 +++++-------
 tests/micro-bench/Makefile.am     | 16 +++++++---------
 tests/performance/Makefile.am     | 17 ++++++++---------
 9 files changed, 58 insertions(+), 61 deletions(-)

commit c9583792cb05c5f15a1a9f312ff1444c9b5b7eb8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 15 15:07:15 2013 +0100

    build: Fix up the silent rules prefixes
    
    Automake increased the whitespace, so we need to do that for our "I
    Can't Believe It's Not Autotool™" rules.

 build/autotools/Makefile.am.silent | 8 ++++----
 tests/conform/Makefile.am          | 4 ++--
 tests/interactive/Makefile.am      | 8 ++++----
 3 files changed, 10 insertions(+), 10 deletions(-)

commit d1041e1f4f5bedc6331e65a7faf60289f26f7fb0
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed May 15 14:23:53 2013 +0100

    conform: add offscreen effects fbo size check
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699675

 tests/conform/Makefile.am                      |   1 +
 tests/conform/actor-offscreen-limit-max-size.c | 117 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c              |   1 +
 3 files changed, 119 insertions(+)

commit 9c6f3793e832e03ec72c63cd11f28601bf760f5b
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat May 4 17:37:33 2013 +0100

    offscreen-effect: limit offscreen fbo size to the stage's size
    
    When using a ClutterOffscreenEffect, the size of the offscreen buffer
    allocated to perform the effect is currently computed using the paint
    volume of the actor it's attached to and in the case the paint volume
    cannot be computed, the effect falls back to using the stage's size.
    
    If you scale an actor enough so its paint volume is much bigger that
    the size of the stage, you can end up running out of memory (which
    leads to your application crashing).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699675

 clutter/clutter-offscreen-effect.c | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 8a6aae14c8fad03ad19929f467b2263c1558de85
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 12:07:26 2013 +0100

    docs: Add clutter-wayland section to reference docs
    
    Gives this stray section a home in the reference documentation.

 doc/reference/clutter/Makefile.am          | 2 ++
 doc/reference/clutter/clutter-docs.xml.in  | 1 +
 doc/reference/clutter/clutter-sections.txt | 8 ++++++++
 3 files changed, 11 insertions(+)

commit 242f611863a93d6d73e63cb27ed9f559ded80e55
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 12:33:27 2013 +0100

    clutter-input-device-wayland: Update indentifier name
    
    Fixes a discrepancy between the function name and the gtk-doc identifier
    introduced in 8f4e39b6 when the Wayland input protocol changed.

 clutter/wayland/clutter-input-device-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3de7e494320e8e1d59777d0bf48d7fd4e9d9bd2e
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 13:22:50 2013 +0100

    docs: Remove empty line before parameter tags
    
    The gtk-doc parser has somewhat esoteric rules regarding blank lines and
    paragraph breaks, causing these parameter descriptions to be missed. See:
    
    https://developer.gnome.org/gtk-doc-manual/stable/documenting_syntax.html.en

 clutter/wayland/clutter-input-device-wayland.c | 1 -
 clutter/wayland/clutter-stage-wayland.c        | 2 --
 2 files changed, 3 deletions(-)

commit a075c286f22b31d7129f6ad3bb74beec36da21f7
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon Apr 29 15:59:56 2013 +0100

    clutter-stage-wayland: Pedantic typo fix
    
    Je ne parle pas français

 clutter/wayland/clutter-stage-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15bed2d9bdf468fa2df9f32801f422999c8aeef0
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Tue May 7 11:50:32 2013 +0100

    wayland: Add API version annotations
    
    Version numbers have been derived from source code comment blocks.

 clutter/wayland/clutter-stage-wayland.c | 2 ++
 clutter/wayland/clutter-wayland.h       | 5 +++++
 2 files changed, 7 insertions(+)

commit f86cbdb14f9085585665379409517da2df76ce31
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 13 13:44:48 2013 +0200

    Updated Spanish translation

 po/es.po | 94 ++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------
 1 file changed, 48 insertions(+), 46 deletions(-)

commit cd9ba0ad8de7f01aae7353aba5ff0d209510e118
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri May 3 11:53:44 2013 -0400

    flow-layout: Add :snap-to-grid property
    
    Add a :snap-to-grid property to FlowLayout to prevent the layout from
    assigning it's children a position based on the size of the largest
    child.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648873

 clutter/clutter-flow-layout.c              | 206 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 clutter/clutter-flow-layout.h              |   5 +++++
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 examples/flow-layout.c                     |  10 ++++++++++
 5 files changed, 182 insertions(+), 43 deletions(-)

commit fd9109e6d6817e485c8cf6b75a8ab897edf7cdb4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 6 10:20:36 2013 -0700

    Fix up "allow-none" annotation

 clutter/clutter-stage.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bc664cc24043185828f920936fadc079c6eeedf7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 6 10:02:24 2013 -0700

    docs: Mention implicit animations checks in the release notes
    
    Don't want anybody to be taken by surprise by this.

 README.in | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9424e995fa4c7ef60555a641561c5f6e44aa2276
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 24 15:17:07 2013 -0400

    actor: Improve conditions for skipping implicit transitions
    
    The "should this implicit transition be skipped" check should live into
    its own function, where we can actually explain what it does and which
    conditions should be respected.
    
    Instead of just blindly skipping actors that are unmapped, or haven't
    been painted yet, we should add a couple of escape hatches.
    
    First of all, we don't want :allocation to be implicitly animated until
    we have been painted (thus allocated) once; this avoids actors "flying
    in" into their allocation.
    
    We also want to allow implicit transitions on the opacity even if we
    haven't been painted yet; the internal optimization that we employ in
    clutter_actor_paint() and skips painting fully transparent actors is
    exactly that: an internal optimization. Caller code should not be aware
    of this change, and it should not influence code outside of ClutterActor
    itself.
    
    The rest of the conditions are the same: if the easing state's duration
    is zero, or if the actor is both unmapped and not in a cloned branch of
    the scene graph, then implicit transitions are pointless, as they won't
    be painted.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698766

 clutter/clutter-actor.c | 59 +++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 49 insertions(+), 10 deletions(-)

commit f92b78781d283ce16952b5ea1697ca440799fea4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri May 3 11:25:23 2013 -0700

    stage: Use precomputed constants instead of trigonometric functions
    
    This should actually ensure that the calculations of the Z translation
    for the projection matrix is resolved to "variable * CONSTANT". The
    original factors are left in code so it's trivial to revert to the
    trigonometric operations if need be, even without reverting this commit.

 clutter/clutter-stage.c | 35 +++++++++++++++++++++++++----------
 1 file changed, 25 insertions(+), 10 deletions(-)

commit d061a47573fbfec69ed6f2fd02f233e218830a6d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 24 15:35:28 2013 -0400

    stage: Add a paint callback
    
    The ClutterActor::paint signal is deprecated, and connecting to it even
    to get notifications will disable clipped redraws because of violations
    of the paint volume.
    
    The only actual valid use case for notifications of a successful frame
    is on the ClutterStage, so we should add new (experimental) API for it,
    so that users can actually subscribe to it — at least if you're writing
    a compositor.
    
    Shoving a signal in a performance critical path is not an option, and
    I'm not sure I want to commit to an API like this yet. I reserve the
    right to revisit this decision in the future.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698783

 clutter/clutter-stage.c | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-stage.h |  9 +++++++++
 clutter/clutter.symbols |  1 +
 3 files changed, 62 insertions(+), 3 deletions(-)

commit 264c67c2aa64cc1f6de6c1e9c7e8de16e01b3607
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Apr 11 13:05:03 2013 +0100

    canvas: Allow invalidating the content along with the size
    
    Currently, clutter_canvas_set_size() causes invalidation of the canvas
    contents only if the newly set size is different. There are cases when
    we want to invalidate the content regardless of the size set, but we
    cannot do that right now without possibly causing two invalidations,
    for instance:
    
      clutter_canvas_set_size (canvas, new_width, new_height);
      clutter_content_invalidate (canvas);
    
    will cause two invalidations if the newly set size is different than
    the existing one. One way to work around it is to check the current
    size of the canvas and either call set_size() or invalidate() depending
    on whether the size differs or not, respectively:
    
      g_object_get (canvas, "width", &width, "height", &height, NULL);
      if (width != new_width || height != new_height)
        clutter_canvas_set_size (canvas, new_width, new_height);
      else
        clutter_content_invalidate (canvas);
    
    this, howevere, implies knowledge of the internals of ClutterCanvas,
    and of its optimizations — and encodes a certain behaviour in third
    party code, which makes changes further down the line harder.
    
    We could remove the optimization, and just issue an invalidation
    regardless of the surface size, but it's not something I'd be happy to
    do. Instead, we can add a new function specifically for ClutterCanvas
    that causes a forced invalidation regardless of the size change. If we
    ever decide to remove the optimization further down the road, we can
    simply deprecate the function, and make it an alias of invalidate()
    or set_size().

 clutter/clutter-canvas.c | 76 +++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------
 clutter/clutter-canvas.h | 13 +++++++++----
 2 files changed, 64 insertions(+), 25 deletions(-)

commit dc5284681c845f1ae7fabdb8657855c8fd430c48
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu May 2 00:10:56 2013 +0200

    Updated Slovenian translation

 po/sl.po | 634 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 322 insertions(+), 312 deletions(-)

commit a25e801ce9e33560f9df3bb3453f4c45ca45832e
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sat Apr 27 06:16:24 2013 +0300

    Updated Greek translation

 po/el.po | 637 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 323 insertions(+), 314 deletions(-)

commit 51cc17fb2b7a8753feb56880560b657894ca15fe
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 27 01:37:40 2013 +0200

    Updated Czech translation

 po/cs.po | 631 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 320 insertions(+), 311 deletions(-)

commit 0d8304087b401f38c086ae1ea14b5254288db9f5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 25 12:36:45 2013 +0200

    Updated Spanish translation

 po/es.po | 637 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 323 insertions(+), 314 deletions(-)

commit f66108e43af0c07644e08c85c915dc76d21cceac
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Apr 23 17:52:22 2013 -0700

    zoom-action: improve zooming behavior
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698674

 clutter/clutter-zoom-action.c | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 5a7a6ebfc46dee8fc17e80f724ef4fc992e99f3a
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Apr 22 16:20:49 2013 -0700

    gesture-action: refactor event handling function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698671

 clutter/clutter-gesture-action.c | 118 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------
 1 file changed, 78 insertions(+), 40 deletions(-)

commit 321553b13913847b79d5585f59133cbb83c3f5fe
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Apr 22 14:57:47 2013 -0700

    gesture-action: fix trigger edge after behavior with more than 1 point
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698669

 clutter/clutter-gesture-action.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fda406b4a810a59a2cbd5c7ffbf0c38fca8be40b
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 16:11:42 2013 +0100

    gesture-action: add n-touch-points property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action.c | 89 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)

commit 82e5634117c23db033b3a9c62217a15d66a9267a
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 16:12:32 2013 +0100

    gesture-action: avoid shadowing time() syscall function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit d691761985727e88f7950288411c88671f0d6ca9
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 15:47:26 2013 +0100

    gesture-action: fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0538adc58cd7cea4751bc46964a53c7950a00250
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Apr 5 15:35:15 2013 +0100

    timeline: Ensure the range on the cubic bezier control points
    
    The X coordinate has to be in the [ 0.0, 1.0 ] range.

 clutter/clutter-timeline.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 8c32637eea2bf23e171041cc24e2f354ad60ad44
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 26 22:16:55 2013 +0000

    Deprecate ClutterGeometry
    
    It's a bad rectangle type, with caveats and gotchas. We have better
    types, courtesy of Cairo, as well as our own (ClutterRect).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682789

 clutter/clutter-base-types.c | 4 ++++
 clutter/clutter-types.h      | 6 +++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 1724536cda40e7714b3ebc9d20163e3b2e09c6af
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 26 22:03:19 2013 +0000

    text: Add ::cursor-changed signal
    
    Since we are trying to eliminate the ClutterGeometry type, we should
    replace the only entry point still using it: the ::cursor-event signal
    of ClutterText.
    
    Instead of passing the cursor geometry, we should add an accessor
    function.
    
    The combination of signal and getter for the cursor geometry means that
    we can deprecate ClutterText::cursor-event, and mark it for removal in
    Clutter 2.0.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682789

 clutter/clutter-text.c  | 112 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------
 clutter/clutter-text.h  |  15 +++++++++------
 clutter/clutter.symbols |   1 +
 3 files changed, 90 insertions(+), 38 deletions(-)

commit 03296e30e790cfb8b9cff5f3ce2a0eaa712f8e57
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 25 17:57:28 2013 +0000

    Fix compilers warnings when debugging is disabled

 clutter/clutter-script-parser.c   |  8 ++------
 clutter/clutter-stage.c           | 17 ++++++++---------
 clutter/x11/clutter-backend-x11.c |  7 +++----
 clutter/x11/clutter-stage-x11.c   |  5 ++++-
 4 files changed, 17 insertions(+), 20 deletions(-)

commit 75702fde4dd911b648808d8b79dc36abd1fad417
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 25 17:39:06 2013 +0000

    Bump the requirement for Cogl to its stable release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56844a2b753788c1df23bc209d1bf35e85d73e09
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Apr 1 19:10:36 2013 +0200

    tap-action: Fix the docs, it does not require actors with children

 clutter/clutter-tap-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5896d284ee39243f84bab903d1429d3cab35bf7
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Mar 28 15:30:50 2013 +0000

    wayland: Queue a redraw after showing the stage
    
    On the other backends we will get some sort of expose event after
    showing the stage's window which will queue a redraw. These expose
    events don't exist on Wayland so nothing will cause Clutter to queue a
    redraw. Weston doesn't bother displaying anything for the stage's
    surface until the first buffer is sent, which of course it will never
    receive if Clutter doesn't paint anything. This patch just makes it
    explicitly queue a redraw after the stage is shown so that we will
    always pass at least one frame to the compositor.
    
    The bug can be seen by running test-stage-sizing. That example doesn't
    have any animations so it won't try to queue any redraws until
    something interacts with it. On the other hand something like
    test-actors works fine without the patch because it constantly queues
    redraws anyway in order to display the animation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696791

 clutter/wayland/clutter-stage-wayland.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 23707ac2426b48775cb8a5f54dd9e2458c5576fe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 20 17:23:02 2013 -0300

    Add version-related macros for 1.16

 clutter/clutter-macros.h     | 14 ++++++++++++++
 clutter/clutter-version.h.in | 10 ++++++++++
 2 files changed, 24 insertions(+)

commit b914ae70b1673b418f2f7be082916dc1271df0f4
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Mar 17 03:19:02 2013 +0000

    actor: fix translation-z setting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695982

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6203be641f97643e6e4a7ec6e4ad5e37f56a068d
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 17 14:58:17 2013 +0100

    Updated Danish translation

 po/da.po | 712 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 356 insertions(+), 356 deletions(-)

commit d66691693c90b287df07da712325c753bbba8c9c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 15 14:34:38 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

 po/pt.po | 1024 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 515 insertions(+), 509 deletions(-)

commit bbb54f1aedf33d6fb1155ff151f840c0c528fe37
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 14 12:31:52 2013 +0100

    clutter: Prefer the X11 backend to the Wayland one
    
    If clutter is built with both X11 and Wayland support, prefer the
    (more complete for now) X11 backend. This matches GTK+'s current
    ordering.
    
    This allows distributions to ship a clutter version with both backends
    built, and using an envvar to switch to the wayland backend and test
    applications.
    
    In the future, applications would be able to choose which backend
    they prefer and in which order.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695838

 clutter/clutter-main.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 73dbd179485c32584ecf44028b24336c5a4f916a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 13 16:00:14 2013 -0300

    symbols: Add missing symbol

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit 59bd04485991edd4fa61c8b989d226816fadda54
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 13 15:46:16 2013 -0300

    docs: Add missing symbol to the list

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 8f032d595263a2f4fdb057ae5d954ee8236e96cf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 19:33:59 2013 +0000

    actor: Skip transitions on invisible actors
    
    If an actor has not been painted yet, or it's not going to be painted,
    we can ignore transitions queued on it.
    
    By ignoring transitions on actors that have not been painted yet, we can
    avoid doing work during the set up phase of the scene graph, as well as
    avoiding actors "flying in" from nowhere.
    
    Obviously, we have to take into account potential clones, so we need to
    check that the actor is not part of a cloned branch of the scene graph,
    as well as checking if the actor has mapped clones.

 clutter/clutter-actor.c | 52 ++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 40 insertions(+), 12 deletions(-)

commit 20c09858696db2b221f2dabf406d67fb44564ee1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 19:10:55 2013 +0000

    actor: Propagate the cloned state to the children
    
    If we clone a container, we still want redraws queued on the children to
    be propagated.

 clutter/clutter-actor.c | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

commit 0e0db890e1552ce2d3c00ecc9b68c24876d84fec
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:20:48 2013 +0000

    actor: Ignore redraws queued on unmapped actors
    
    If an actor is unmapped then it won't be painted, so we can safely
    short-circuit out of _clutter_actor_queue_redraw_full() if the mapped
    flag is not set.
    
    We need, on the other hand, make an exception for Clones, otherwise
    they won't receive notification that the source actor has changed
    and they won't be painted.
    
    This allows us to ignore redraws queued on children of invisible
    parents, and avoid traversing the scene graph.

 clutter/clutter-actor.c | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 51 insertions(+), 16 deletions(-)

commit 028baa99a047d780b1215b07caa2523cdf496d20
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:09:33 2013 +0000

    actor: Keep track of clones
    
    Instead of using signal notifications, we should be able to keep track
    of the clones of an actor from within ClutterActor itself, using private
    API. There's no point in pretending that people can actually create a
    Clone class out of tree, given the amount of invariants we have to punch
    through in order to implement a proper replicator node of the scene
    graph, so we can just skip the signal emissions and just do the right
    thing at the right time.

 clutter/clutter-actor-private.h |  7 +++++++
 clutter/clutter-actor.c         | 80 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-clone.c         | 30 +++++-------------------------
 3 files changed, 91 insertions(+), 26 deletions(-)

commit c32973158df2fd2d00ede7ad3e828871e3eb1700
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:35:55 2013 +0000

    actor: Clean up internal add/remove functions
    
    More comments are warranted: these functions are pretty much full of
    potential side effects, and I'd really like to avoid keeping everything
    in my head forever.
    
    Along with the comments and the type casting reduction, I sneaked in a
    one line change that is clearly correct after reading the flow of the
    whole thing: we queue only a relayout after three potential redraws have
    been queued. If we manage to miss a redraw and yet still get a relayout
    then it means that most of our assumptions are fundamentally wrong, and
    that we ought to dump this whole business of computer programming, and
    just go back to being a hunter-gatherer species.

 clutter/clutter-actor.c | 48 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 31 insertions(+), 17 deletions(-)

commit 900015a4eb7f1fd8a49c30ba52e1e9022d778cee
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:24:50 2013 +0000

    actor: Clean up ::show and ::hide class handlers
    
    The main body of the function should not live inside an 'if' block.

 clutter/clutter-actor.c | 81 +++++++++++++++++++++++++++++++++++++++++----------------------------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit c11c875762e60139adbdc0263ff292fea7ef9da6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:57:26 2013 +0000

    examples/layout-manager: Remove unnecessary easing state save
    
    The actors in the layout are already set up with a non-default easing
    state, we can use that.

 examples/layout-manager.c | 4 ----
 1 file changed, 4 deletions(-)

commit 7f5b68eed36b984e2eac02b4c4e7a20fc838faad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 04:27:57 2013 +0000

    examples/layout-manager: Improve the example
    
    Add an explicit transition, and more comments.

 examples/layout-manager.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 041d8b5d29d3a6a494b76a6d3263f6912b3c1d62
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 11:23:39 2013 +0000

    Clean up the Actor private header
    
    Reading it is getting painful.

 clutter/clutter-actor-private.h | 154 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------
 1 file changed, 77 insertions(+), 77 deletions(-)

commit 197eae2e00caeceebfa4028189018c5d6e191e72
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:35:21 2013 +0000

    build: Disable debugging code in stable releases
    
    Pretty much what GLib and GTK+ do, and the 1.x cycle has gone on for a
    while, now.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9618f37b1d45c9133f13c355c3960999888961b3
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri Mar 1 10:58:54 2013 +0100

    Add method clutter_disable_accessibility ()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691468

 clutter/clutter-main.c | 23 +++++++++++++++++++++++
 clutter/clutter-main.h |  3 +++
 2 files changed, 26 insertions(+)

commit 36e25374cc87145e4d1398baf9dd204616d68a24
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Mar 5 01:06:03 2013 -0500

    event: Use gunichar when dealing with unicode characters
    
    This makes introspection return the keycode as a string, rather
    than an integer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695188

 clutter/clutter-event.c | 4 ++--
 clutter/clutter-event.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit c26d724f3d2ace238cac39e70bbdfe8606b830ac
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 14:49:26 2013 -0500

    clutter-backend: Request XI2.3
    
    Since XIQueryVersion, the bad API that it is, chooses the first client
    version that it gets, we need to ensure that we pass XIQueryVersion the
    new XI2.3 version, knowing fully well that Clutter won't be confused
    by the new features.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692466

 clutter/x11/clutter-backend-x11.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 009da0c6ce7f202af1f39e2c79ea0b35cb64a6f3
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 17:09:59 2013 -0500

    x11: Always request XI2.2
    
    The X server should fill in the minor version that it supports in the
    case where it only supports the older version. We should not get a
    BadRequest or fail the version check if we pass something higher.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692466

 clutter/x11/clutter-backend-x11.c | 5 -----
 1 file changed, 5 deletions(-)

commit 9dbc01b61fd47c0c255b69f6b189c68670d191fe
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Fri Feb 8 01:10:50 2013 +0100

    xi2: Reset scroll info for correct device on device change

 clutter/x11/clutter-device-manager-xi2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c942ff1860fef6fa53e107fe2d879fbfd6f0a59
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Mar 10 23:50:08 2013 +0100

    [l10] Updated Catalan translation

 po/ca.po | 668 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 334 insertions(+), 334 deletions(-)

commit c538a65a9fc8362a844a98a0e29b46da14075aa4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 15:06:49 2013 +0000

    docs: Add 1.14 symbols index
    
    Forgot to add it after the version bump.

 doc/reference/clutter/clutter-docs.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 40ef7a5f6e59aa0cbbca6fc3c0e48ebcba30af5e
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Mar 6 01:30:52 2013 +0100

    x11/xi2: Factor the XKB group state in to fill events' modifier_state
    
    Otherwise XkbTranslateKeyCode() won't yeld the correct keysyms when
    group > 1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695260

 clutter/x11/clutter-device-manager-xi2.c | 20 +++++++++++++-------
 clutter/x11/clutter-input-device-xi2.c   |  6 +++++-
 clutter/x11/clutter-input-device-xi2.h   |  3 ++-
 3 files changed, 20 insertions(+), 9 deletions(-)

commit ccea1644ba81593fd19a772048e91909962ef570
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Mon Sep 24 17:24:54 2012 +0200

    a11y: expose the text with password-char
    
    Text exposed by the AtkText methods should be the text
    displayed to the user (like the internal method
    clutter_text_get_display_text). So it should use the password-char
    if it is being used.
    
    This is also a security concern.

 clutter/cally/cally-text.c | 37 ++++++++++++++++++++++++++++---------
 1 file changed, 28 insertions(+), 9 deletions(-)

commit 78a3590fd67338b63651fcf935aeeee4254ef1e1
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Mon Sep 24 15:09:43 2012 +0200

    a11y: cally-util: use password-char to fill a key_event if required

 clutter/cally/cally-util.c | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 61 insertions(+), 8 deletions(-)

commit a622d34444decbb98f66314871ab028d8c2f3327
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:48:11 2013 +0000

    actor: Revert the Transition/Actor leak fix
    
    The original code inside ClutterActor that dealt with Transitions
    stopping was written for the ::completed signal, thus the code was
    correctly handling the lifetime of the instances; when we moved to the
    ::stopped signal, we assumed that it worked in the same way - with less
    conditions to be checked, obviously, but fundamentally similar to the
    ::completed signal. Sadly, I screwed up the signal definition, and the
    signal ended up calling our handlers, but not the default one that did
    the cleanup and released references on the Animatable instance.
    
    After fixing the Timeline::stopped signal, we can go back to the
    previous code.
    
    Thanks to Craig Hughes for the help in tracking down this mess.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695158

 clutter/clutter-actor.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 4732a418ba110872d26801e9af3269f1211f2ee8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:46:45 2013 +0000

    timeline: Use the right function pointer offset
    
    A copy and paste thinko: the ::stopped signal is using the
    ClutterTimelineClass.completed slot instead of the .stopped one,
    thus preventing sub-classes of ClutterTimeline from overriding the
    signal's default closure.

 clutter/clutter-timeline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65d6c8c32ee23a34f8fbe1fbb76dd4faf0e28d0c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:04:32 2013 +0000

    build: Dist the cookbook
    
    So that we can publish it starting from the tarballs.

 doc/cookbook/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit f3659d35a0fb7aac04cd30533a1acaf53f87a151
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 22:43:22 2013 +0000

    actor: Release a reference on the implicit Transitions
    
    When stopping the transition we need to release the reference we
    maintain while removing the Transition from the hash table inside an
    actor. If we fail to do so, the Transition is never released, which
    means we leak the Animatable instance we tied to it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695158

 clutter/clutter-actor.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 315a73edf5610ce4ee16a825b62a5b6ee669cfed
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 13:02:44 2013 +0000

    text: Clean up the set_font_description_internal() semantics
    
    The current semantics are ridiculous, and clearly a case of (mistaken)
    premature optimization. All setters should copy, not transfer ownership.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695119

 clutter/clutter-text.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 1f3e56b3be07fda95f7c84d6bf8dcc5901cdc8ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 28 09:47:44 2012 +0000

    docs: Clean up the documentation for the allocate() methods
    
    The wording could be better, especially on the side effects and the
    honoured state.

 clutter/clutter-actor.c | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit 67f10bcc6f41f5f38627bf7ca551e554285c9d75
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 24 09:04:09 2012 +0000

    docs: Clean up the wording of a couple of comments

 clutter/clutter-actor.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 78962f9ab97cee781498a862411d339f6cac7e35
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 13:04:34 2013 +0000

    deform-effect: Don't use deprecated API
    
    The ClutterOffscreenEffect.get_target_size() method has been deprecated,
    and replaced by the get_target_rect() one. We can easily switch to the
    latter, and avoid the deprecation warning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670004

 clutter/clutter-deform-effect.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 37e3ef23035aafe1cba5a1113a3d6ce19ed51998
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 13:01:58 2013 +0000

    offscreen-effect: Add a method to get the target area
    
    The target size is not always enough, there are cases where the offset
    used to paint the target must also be available for developers
    implementing an OffscreenEffect.
    
    The get_target_rect() method returns the rectangle used to paint the
    target, with the offsets in the ClutterRect:origin and the texture size
    in the ClutterRect:size fields, respectively.
    
    The get_target_size() method should be deprecated, given that its
    replacement is generally more useful.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670004

 clutter/clutter-offscreen-effect.c         | 42 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-offscreen-effect.h         |  6 ++++++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 50 insertions(+)

commit e72d27815be38395fb782aa7d8b1b8228bab2183
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 12:23:32 2013 +0000

    build Bump to 1.15.1
    
    In theory, master should become 1.99 at some point, but if we do that
    all Hell breaks loose, so let's use 1.15 for the time being.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit afe0ac9c75e594cdf9e44ef0011e1c32d9acaec6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Mar 3 21:21:09 2013 +0100

    [l10n] Updated German translation

 po/de.po | 541 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 268 insertions(+), 273 deletions(-)

commit 8ddfa4483299561aaec0d29e9633500a9ddb3094
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Mar 1 22:12:23 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 717 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 715 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 2 files changed, 717 insertions(+), 715 deletions(-)

commit b01469c8f3d400bccc389d5420af02b79949bdb7
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Feb 22 00:31:34 2013 +0100

    x11/clutter-keymap-x11: Honor XkbNewKeyboardNotify events
    
    We already select for XkbNewKeyboardNotify events but are not acting
    on them. Start doing so.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694267

 clutter/x11/clutter-keymap-x11.c | 1 +
 1 file changed, 1 insertion(+)

commit 8ba46c78e4e607a86cfe3e50ed014189b19e777a
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Feb 22 21:55:14 2013 +0100

    Updated Czech translation

 po/cs.po | 638 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 319 insertions(+), 319 deletions(-)

commit e317ca11fc27d83d9eb06634136d48f355d71562
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 00:37:58 2013 +0000

    Fix compiler warnings by initializing variables

 clutter/clutter-actor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 50f6b2ac2cd2612627c7b728befd3553f46cf2f6
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 22:15:52 2013 -0500

    actor: Fix clutter_actor_allocate_align_fill for partially-filled actors
    
    If we pass TRUE for x_align and FALSE for y_align, the full available
    width should be passed to clutter_get_preferred_height, and the same
    should be true in the other dimension.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694237

 clutter/clutter-actor.c | 46 +++++++++++++++++++++-------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit 160c62b2f9fbb399e5a8045c5f7dc521be7e3c35
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:31:17 2013 +0000

    conform: Disable the Cogl tests
    
    Cogl is being tested pretty well, these days; also, there is a failure
    in the mipmap test that I really don't have time to bisect.

 tests/conform/test-conform-main.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1a0bbbaf54bd511648d94b1c816cdeb6469bf578
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:30:21 2013 +0000

    cally: Use AktObject::get_name()
    
    Instead of directly accessing the instance fields. This removes a
    compiler warning after the constification of g_get_prgname(), and it
    seems to me to be generally more correct.

 clutter/cally/cally-root.c | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit 01ba68ad3b2990513e1125bd3ce97a24d0a72670
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:02:05 2013 +0000

    scroll-actor: Use :child-transform
    
    Instead of using a custom apply_transform(), paint(), and pick()
    implementations, we can simply apply a transformation to the children of
    a ScrollActor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686225

 clutter/clutter-scroll-actor.c | 103 ++++++++++++++++---------------------------------------------------------------------------------------
 1 file changed, 16 insertions(+), 87 deletions(-)

commit dfb145988e8b952e9fef9d68b43d0cbd0b0765ae
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jan 30 11:49:38 2013 +1100

    wayland: Only include Wayland headers in private
    
    As wayland-client.h and wayland-server.h can't be included together,
    split the Wayland backend file into clutter-backend-wayland.h, which
    only defines the types, and clutter-backend-wayland-priv.h, which
    actually uses the Wayland client types.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692851

 clutter/Makefile.am                              |  1 +
 clutter/wayland/clutter-backend-wayland-priv.h   | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/wayland/clutter-backend-wayland.c        |  1 +
 clutter/wayland/clutter-backend-wayland.h        | 28 ----------------------------
 clutter/wayland/clutter-device-manager-wayland.c |  1 +
 clutter/wayland/clutter-input-device-wayland.c   |  1 +
 clutter/wayland/clutter-stage-wayland.c          |  1 +
 7 files changed, 72 insertions(+), 28 deletions(-)

commit b37b9d917a1067cac6a799098ed88ab275a1dbe7
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jan 30 11:47:52 2013 +1100

    wayland-compositor: Don't use Wayland types in public API
    
    The definition of wl_display differs between Wayland clients and
    servers, and it's unsafe to include both wayland-client.h and
    wayland-server.h at the same time.  Fudge around this by making the
    compositor public API use void * rather than struct wl_display *.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692851

 clutter/clutter-backend.c                    | 2 +-
 clutter/wayland/clutter-wayland-compositor.h | 5 +----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 3e479a3326dd8d14aa6cc479b4f33df294a01d3e
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Nov 5 14:41:36 2012 +0000

    cogl: Don't use cogl_xlib_set_diplay()
    
    This function is deprecated and has been replaced by set_display() on
    the renderer. This is done in the get_renderer() vfunc of both the x11
    and gdk backends already.
    
    Actually cogl_xlib_set_diplay() is now a no-op and can be safely removed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687652

 clutter/gdk/clutter-backend-gdk.c | 9 ---------
 clutter/x11/clutter-backend-x11.c | 4 ----
 2 files changed, 13 deletions(-)

commit 534e994972bc7b956c13d2f80ededa41a4f9e05d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 19:53:43 2013 -0500

    Don't do anything special with COGL_ENABLE_EXPERIMENTAL_2_0_API
    
    This flag solely disables deprecated Cogl 1.0 API, so it
    shouldn't be used for feature checks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694229

 clutter/clutter-backend.h     | 2 +-
 clutter/clutter-paint-node.h  | 4 ++--
 clutter/clutter-paint-nodes.h | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 6bef2cff1984ff9b058864d0fc49a8cb108abefd
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 15 18:06:50 2013 +0000

    conformance: Only check for DISPLAY on X11 windowing backend
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=693741

 tests/conform/test-conform-common.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit e4598a9e527174fbbdee7341381a681b48ac762f
Author: Josselin Mouette <joss@malsain.org>
Date:   Wed Feb 20 22:20:22 2013 +0000

    actor: Use the correct return value
    
    The get_z_rotation_gravity() method returns an enumeration value, not a
    floating point value.
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694187

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65a024af9256b9d01c12a7ca2775a291ce6fa7ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 22:14:46 2013 +0000

    timeline: Add progress-based marker API
    
    Being able to set a marker at a normalized point on a timeline, instead
    of using a specific time, is a nice fit with the current Timeline class
    API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694319

 clutter/clutter-timeline.c                   | 146 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 clutter/clutter-timeline.h                   |   4 ++++
 clutter/clutter.symbols                      |   1 +
 doc/reference/clutter/clutter-sections.txt   |   1 +
 tests/conform/timeline.c                     |   8 +++++---
 tests/data/test-script-timeline-markers.json |   3 ++-
 6 files changed, 133 insertions(+), 30 deletions(-)

commit a8c68c78d8bc7aa6dd82930f2570a451fc6bff3e
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Feb 20 21:24:52 2013 +0100

    Update French translation

 po/fr.po | 672 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 336 insertions(+), 336 deletions(-)

commit 044b8dcddd393eed67440dabe66d3d9dd75b6506
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 16 21:16:20 2013 +0100

    Updated Polish translation

 po/pl.po | 218 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 109 insertions(+), 109 deletions(-)

commit 935997178cff4136387d62f9224ff6732c00b57d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 14 08:10:57 2013 +0000

    Add missing functions to clutter.symbols
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693767

 clutter/clutter.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 4b92d656c2b63570b91105f05b863c4efed32134
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 13 14:58:55 2013 +0000

    settings: Don't reload config for fontconfig if there's no fontmap
    
    If anything in the system changes the config for fontconfig then an
    XSetting will be set to record the last timestamp of the config file.
    This is presumably so that applications can be notified that it has
    changed and can reload the configuration. However once this setting is
    set it will remain set for the lifetime of the X server. This causes
    Clutter to handle the setting during the initialisation of the
    backend. Previously this would cause problems because Clutter would
    end up creating the default PangoFontMap before the backend has
    created the CoglContext. The PangoFontMap would in turn cause the
    default CoglContext to be created. Clutter will then later create its
    own CoglContext which means there will be two and the first one will
    be leaked. Cogl currently can't really cope with multiple contexts
    being created so it falls apart.
    
    This patch fixes it to skip reloading the config for fontconfig if
    there isn't a default font map yet. The config will presumably
    naturally be read with the latest values when it is finally created
    anyway so it doesn't need to be read immediately.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693696

 clutter/clutter-settings.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit b248941af5f206c4b99872a759fbdaea3673e7b7
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Nov 8 12:42:24 2012 -0500

    Add clutter_stage_set_sync_delay()
    
    New experimental API is added to allow changing the way that redraws
    are timed for a stage to include a "sync delay" - a period after
    the vertical blanking period where Clutter simply waits for updates.
    
    In detail, the algorithm is that when the master clock is restarted
    after drawing a frame (in the case where there are timelines running)
    or started fresh in response to a queued redraw or relayout, the
    start is scheduled at the next sync point (sync_delay ms after the
    predicted vblank period) rather than done immediately.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692901

 clutter/clutter-master-clock.c    | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 clutter/clutter-stage-private.h   |   4 +++-
 clutter/clutter-stage-window.c    |  43 +++++++++++++++++++++++++++++++++++++++----
 clutter/clutter-stage-window.h    |  10 ++++++++--
 clutter/clutter-stage.c           | 105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-stage.h           |   8 ++++++++
 clutter/cogl/clutter-stage-cogl.c | 131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------
 clutter/cogl/clutter-stage-cogl.h |   6 +++++-
 8 files changed, 386 insertions(+), 77 deletions(-)

commit d0d1b562bd2a46ab9073507b42e106cb209038b8
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 7 17:20:39 2013 +0000

    evdev: Fix use of the common XKB code for the evdev device
    
    In commit 8f4e39b6d716 the Wayland code was updated to use the new
    xkbcommon API. This involved changing the common XKB code shared with
    the evdev input backend. However the evdev input backend was not
    modified so it wouldn't compile. This patch just makes a minor change
    to update it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693348

 clutter/evdev/clutter-device-manager-evdev.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3f9ae47029012935e436d22f2d18b336f9bf27a3
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Feb 6 21:31:01 2013 +0100

    build: Bump cogl requirement
    
    This is needed for the buffer_age changes.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 683f15ba68555367131bc2bd05bf995adddbcccc
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 3 12:11:01 2013 +0100

    clutter-stage: Fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9ad93ad8d33aa41c80de440818e5240c82c7c39
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Feb 6 11:05:58 2013 +0100

    stage-cogl: Reuse backbuffer contents
    
    Use the buffer_age extension when available to recycle backbuffer contents
    instead of blitting from the back to front buffer when doing clipped redraws.
    
    The picking is now done in a pixel that is going to be repaired during the next
    redraw cycle for non static scences.
    
    This should improve performance and avoid tearing.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage-window.c    |  17 +++++++++++++++++
 clutter/clutter-stage-window.h    |   6 ++++++
 clutter/clutter-stage.c           |  62 ++++++++++++++++++++++++++++++++++++++++++--------------------
 clutter/cogl/clutter-stage-cogl.c | 111 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------
 clutter/cogl/clutter-stage-cogl.h |   3 +++
 5 files changed, 167 insertions(+), 32 deletions(-)

commit 60f20e8a7e7e8662d8a76401b9d28ac2ec1d1882
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 3 11:51:19 2013 +0100

    stage-window: make it possible to damage the back buffer
    
    This allows us to report to the backend that the stage's back buffer has been trashed
    while handling picking. If the backend is keeping track of the contents of back buffers
    so it can minimize how much of the stage is redrawn then it needs to know when we do pick
    renders so it can invalidate the back buffer.
    
    Based on patch from Robert Bragg <robert@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage-window.c    | 12 ++++++++++++
 clutter/clutter-stage-window.h    |  4 ++++
 clutter/clutter-stage.c           |  4 ++++
 clutter/cogl/clutter-stage-cogl.c | 12 ++++++++++++
 clutter/cogl/clutter-stage-cogl.h |  2 ++
 5 files changed, 34 insertions(+)

commit c0469601c71f24fbd75d5414a3f44c8138085060
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 23:11:23 2013 +0100

    x11/device-manager-xi2: Fix slave to master association
    
    A slave is associated to a master device, not the other way around.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692971

 clutter/x11/clutter-device-manager-xi2.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 069abd1122fcfeb756168b953460cb6513760d03
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Mon Jan 28 15:49:51 2013 +0200

    xi2: Fix access beyond array boundaries

 clutter/x11/clutter-device-manager-xi2.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e711709ab04922bbacc2b9a73f6b697697afb49a
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Jan 27 18:17:51 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 49dee9b1a2fd098a85d4d4e42cd47eb7363df79a
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Jan 25 16:38:05 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 535 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 268 insertions(+), 267 deletions(-)

commit 89f6bb7e5a0865c093cb6324910aa96361a2c127
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 20 19:46:17 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 1867 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------
 1 file changed, 1139 insertions(+), 728 deletions(-)

commit 1c64e3066a430f83f8182bccbd2c302cb23976fe
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Jan 18 10:05:32 2013 +0100

    Updated Serbian translation

 po/sr.po       | 651 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 651 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 2 files changed, 640 insertions(+), 662 deletions(-)

commit 2eb525fe0880dc9327349bd7c3f5bb032a7d2c30
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Wed Dec 26 13:56:19 2012 +0100

    Add default handler for ClutterSwipeAction::swipe
    
    So code that still uses the deprecated ::swept keeps working
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690735

 clutter/clutter-swipe-action.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 36c15cd23c0110850f535e04bda35083f76bf253
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Sun Jan 13 21:07:42 2013 +0900

    Fix a typo in ClutterEventType documentation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691651

 clutter/clutter-enums.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a783e6d3f28c6bb73514e2a77157deafb0e685d7
Author: Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
Date:   Tue Dec 18 00:26:57 2012 +0530

    clutter-text: Allow setting attributes for editable text
    
    The behaviour imitates GtkEntry and ignores attributes from markup because Pango
    barfs on invalid markup. Also add an example to the text-field interactive test.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686477

 clutter/clutter-text.c              | 24 +++++++++++-------------
 tests/interactive/test-text-field.c | 11 +++++++++--
 2 files changed, 20 insertions(+), 15 deletions(-)

commit aa85a8e94d5cc3a867e3189542d8c391a3920635
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 21:55:51 2012 +0100

    * use requested value of fullscreen state in clutter_stage_win32_set_fullscreen instead of old value
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690836

 clutter/win32/clutter-stage-win32.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 8b357ec0775073f299ce779e49d09658da7da6ee
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 21:12:05 2012 +0100

    * added DllMain prototype to satisfy maintainer mode compiler error checking
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690835

 clutter/win32/clutter-backend-win32.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4a0e1b3e6a90f026964ba7299b7b53c2d886e3a7
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 20:58:14 2012 +0100

    * removed clutter-shader.h dependency from clutter-backend-win32.c
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690833

 clutter/win32/clutter-backend-win32.c | 2 --
 1 file changed, 2 deletions(-)

commit 19f040829088af957cf47c1cce8d7914cad1a0a5
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Fri Jan 4 16:12:39 2013 +0900

    Add missing "(constructor)" tag to clutter_color_alloc()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691114

 clutter/clutter-color.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f5aee9cb5ef1d258e71a72630e3368026f10a49
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 23 15:36:30 2012 +0000

    Fix interpolation between ClutterRect instances
    
    A stupid typo broke the linear interpolation function.

 clutter/clutter-base-types.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 578e81dc2e3dcea745c34834f74e66cc701f7533
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jan 14 12:51:54 2013 -0500

    actor: Correct documentation formatting for clutter_actor_event()
    
    TRUE and FALSE need to be symbolified here.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0caba876e637b789df36efc43f9ba0f19edc67ee
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 9 01:28:48 2013 -0500

    actor: Fix documentation reference for pivot-point

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4691878a766d4a92a7b28917b580e734d183944b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Dec 22 22:21:16 2012 -0500

    x11: Ignore num lock / scroll lock for event state
    
    As x11 considers num lock and scroll lock to be modifiers, code that
    checks for an exact modifier combination will fail if naively done when
    num lock or scroll lock are turned on. Applications that want to ignore
    these modifiers will need to use XKB to manually mask out the modifier
    state.
    
    As it is very unlikely that applications will want to care about the
    state of num lock or scroll lock for key press/key release events, mask
    out the num lock and scroll lock keys automatically.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690664

 README.in                                     |  6 ++++++
 clutter/x11/clutter-device-manager-core-x11.c |  2 +-
 clutter/x11/clutter-device-manager-xi2.c      |  2 +-
 clutter/x11/clutter-keymap-x11.c              | 12 +++++++++++-
 clutter/x11/clutter-keymap-x11.h              |  2 +-
 5 files changed, 20 insertions(+), 4 deletions(-)

commit 551c01e7ce7b34f7eb5e6c56418eafc770e4b55e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jan 13 18:04:33 2013 +0100

    Updated Galician translations

 po/gl.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)
